000100160101      /copy qcpylesrc,stdhspec
000200151025       //****************************************************************
000300151025       //                                                               *
000400160131       // Program ID...... DSHOMN2R                                     *
000500151025       // Program Desc.... Process dashboard header.                    *
000600151025       //                                                               *
000700151025       // Written By...... Greg Cannella                                *
000800160131       // Date Written.... 1/31/15                                      *
000900151025       //                                                               *
001000151025       // Comments........                                              *
001100151025       //                                                               *
001200151025       //                                                               *
001300151025       //****************************************************************
001400151025       // Compile Options:                                              *
001500151025       //                                                               *
001600151025       //****************************************************************
001700151025       // Modifications:                                                *
001800151025       // Req#  By   Date      Modification                             *
001900151025       // 1234  xxx  xx/xx/xx                                           *
002000151025       //                                                               *
002100151025       //****************************************************************
002200151025       //------------------------------------------------
002300151025       // Files
002400151025       dcl-f dshhdrm usage(*input) keyed rename(dshhdrm:dshhdrmr);
002500160109       dcl-f htmlbdm usage(*input) keyed rename(htmlbdm:htmlbdmr);
002600151025       dcl-f dshdtlm usage(*input) keyed rename(dshdtlm:dshdtlmr);
002700151025
002800151025       //--Entry Prototype
002900160131       dcl-pr DSHOMN2R  extpgm('DSHOMN2R');
003000151226         widbname char(128);
003100151118         widbbody char(32000);
003200151025       end-pr;
003300160131       dcl-pi DSHOMN2R;
003400151226         widbname char(128);
003500151118         widbbody char(32000);
003600151025       end-pi;
003700151106
003800151106       //--External Prototypes
003900151106
004000160131       dcl-pr DSHOMN3C  extpgm('DSHOMN3C');
004100160109         wichname char(20);
004200151106       end-pr;
004300151106
004400151025       // Declare fields
004500151118       dcl-s SubValue char(32000);
004600151118       dcl-s SubWithHeading char(32000);
004700151101       dcl-s SQLStatement char(2000);
004800151025       dcl-s SQLResult packed(15:5);
004900151027       dcl-s SQLResultText char(25);
005000151027       dcl-s IndicatorColor char(50);
005100151030       dcl-s x int(5);
005200151030       dcl-s TotalColumns int(5);
005300151030       dcl-s ColumnType char(1) dim(200);
005400151031       dcl-s Type int(5) ;
005500151031       dcl-s Length int(5) ;
005600151031       dcl-s Result_Ind int(5) ;
005700151031       dcl-s Precision int(5) ;
005800151031       dcl-s Scale int(5) ;
005900151031       dcl-s NumericValue char(20);
006000151101       dcl-s BigInt int(20);
006100151101       dcl-s Int int(10);
006200151101       dcl-s SmallInt int(5);
006300151101       dcl-s BigIntNumeric packed(15:0);
006400151031
006500151031
006600151031       // Declare all variations of fields
006700151229     D  ValueA         ds           200
006800151031     D   ValueA1               1      1
006900151031     D   ValueA2               1      2
007000151031     D   ValueA3               1      3
007100151031     D   ValueA4               1      4
007200151031     D   ValueA5               1      5
007300151031     D   ValueA6               1      6
007400151031     D   ValueA7               1      7
007500151031     D   ValueA8               1      8
007600151031     D   ValueA9               1      9
007700151031     D   ValueA10              1     10
007800151031     D   ValueA11              1     11
007900151031     D   ValueA12              1     12
008000151031     D   ValueA13              1     13
008100151031     D   ValueA14              1     14
008200151031     D   ValueA15              1     15
008300151031     D   ValueA16              1     16
008400151031     D   ValueA17              1     17
008500151031     D   ValueA18              1     18
008600151031     D   ValueA19              1     19
008700151031     D   ValueA20              1     20
008800151031     D   ValueA21              1     21
008900151031     D   ValueA22              1     22
009000151031     D   ValueA23              1     23
009100151031     D   ValueA24              1     24
009200151031     D   ValueA25              1     25
009300151031     D   ValueA26              1     26
009400151031     D   ValueA27              1     27
009500151031     D   ValueA28              1     28
009600151031     D   ValueA29              1     29
009700151031     D   ValueA30              1     30
009800151031     D   ValueA31              1     31
009900151031     D   ValueA32              1     32
010000151031     D   ValueA33              1     33
010100151031     D   ValueA34              1     34
010200151031     D   ValueA35              1     35
010300151031     D   ValueA36              1     36
010400151031     D   ValueA37              1     37
010500151031     D   ValueA38              1     38
010600151031     D   ValueA39              1     39
010700151031     D   ValueA40              1     40
010800151031     D   ValueA41              1     41
010900151031     D   ValueA42              1     42
011000151031     D   ValueA43              1     43
011100151031     D   ValueA44              1     44
011200151031     D   ValueA45              1     45
011300151031     D   ValueA46              1     46
011400151031     D   ValueA47              1     47
011500151031     D   ValueA48              1     48
011600151031     D   ValueA49              1     49
011700151031     D   ValueA50              1     50
011800151031     D   ValueA51              1     51
011900151031     D   ValueA52              1     52
012000151031     D   ValueA53              1     53
012100151031     D   ValueA54              1     54
012200151031     D   ValueA55              1     55
012300151031     D   ValueA56              1     56
012400151031     D   ValueA57              1     57
012500151031     D   ValueA58              1     58
012600151031     D   ValueA59              1     59
012700151031     D   ValueA60              1     60
012800151031     D   ValueA61              1     61
012900151031     D   ValueA62              1     62
013000151031     D   ValueA63              1     63
013100151031     D   ValueA64              1     64
013200151031     D   ValueA65              1     65
013300151031     D   ValueA66              1     66
013400151031     D   ValueA67              1     67
013500151031     D   ValueA68              1     68
013600151031     D   ValueA69              1     69
013700151031     D   ValueA70              1     70
013800151031     D   ValueA71              1     71
013900151031     D   ValueA72              1     72
014000151031     D   ValueA73              1     73
014100151031     D   ValueA74              1     74
014200151031     D   ValueA75              1     75
014300151031     D   ValueA76              1     76
014400151031     D   ValueA77              1     77
014500151031     D   ValueA78              1     78
014600151031     D   ValueA79              1     79
014700151031     D   ValueA80              1     80
014800151031     D   ValueA81              1     81
014900151031     D   ValueA82              1     82
015000151031     D   ValueA83              1     83
015100151031     D   ValueA84              1     84
015200151031     D   ValueA85              1     85
015300151031     D   ValueA86              1     86
015400151031     D   ValueA87              1     87
015500151031     D   ValueA88              1     88
015600151031     D   ValueA89              1     89
015700151031     D   ValueA90              1     90
015800151031     D   ValueA91              1     91
015900151031     D   ValueA92              1     92
016000151031     D   ValueA93              1     93
016100151031     D   ValueA94              1     94
016200151031     D   ValueA95              1     95
016300151031     D   ValueA96              1     96
016400151031     D   ValueA97              1     97
016500151031     D   ValueA98              1     98
016600151031     D   ValueA99              1     99
016700151031     D   ValueA100             1    100
016800151229     D   ValueA101             1    101
016900151229     D   ValueA102             1    102
017000151229     D   ValueA103             1    103
017100151229     D   ValueA104             1    104
017200151229     D   ValueA105             1    105
017300151229     D   ValueA106             1    106
017400151229     D   ValueA107             1    107
017500151229     D   ValueA108             1    108
017600151229     D   ValueA109             1    109
017700151229     D   ValueA110             1    110
017800151229     D   ValueA111             1    111
017900151229     D   ValueA112             1    112
018000151229     D   ValueA113             1    113
018100151229     D   ValueA114             1    114
018200151229     D   ValueA115             1    115
018300151229     D   ValueA116             1    116
018400151229     D   ValueA117             1    117
018500151229     D   ValueA118             1    118
018600151229     D   ValueA119             1    119
018700151229     D   ValueA120             1    120
018800151229     D   ValueA121             1    121
018900151229     D   ValueA122             1    122
019000151229     D   ValueA123             1    123
019100151229     D   ValueA124             1    124
019200151229     D   ValueA125             1    125
019300151229     D   ValueA126             1    126
019400151229     D   ValueA127             1    127
019500151229     D   ValueA128             1    128
019600151229     D   ValueA129             1    129
019700151229     D   ValueA130             1    130
019800151229     D   ValueA131             1    131
019900151229     D   ValueA132             1    132
020000151229     D   ValueA133             1    133
020100151229     D   ValueA134             1    134
020200151229     D   ValueA135             1    135
020300151229     D   ValueA136             1    136
020400151229     D   ValueA137             1    137
020500151229     D   ValueA138             1    138
020600151229     D   ValueA139             1    139
020700151229     D   ValueA140             1    140
020800151229     D   ValueA141             1    141
020900151229     D   ValueA142             1    142
021000151229     D   ValueA143             1    143
021100151229     D   ValueA144             1    144
021200151229     D   ValueA145             1    145
021300151229     D   ValueA146             1    146
021400151229     D   ValueA147             1    147
021500151229     D   ValueA148             1    148
021600151229     D   ValueA149             1    149
021700151229     D   ValueA150             1    150
021800151229     D   ValueA151             1    151
021900151229     D   ValueA152             1    152
022000151229     D   ValueA153             1    153
022100151229     D   ValueA154             1    154
022200151229     D   ValueA155             1    155
022300151229     D   ValueA156             1    156
022400151229     D   ValueA157             1    157
022500151229     D   ValueA158             1    158
022600151229     D   ValueA159             1    159
022700151229     D   ValueA160             1    160
022800151229     D   ValueA161             1    161
022900151229     D   ValueA162             1    162
023000151229     D   ValueA163             1    163
023100151229     D   ValueA164             1    164
023200151229     D   ValueA165             1    165
023300151229     D   ValueA166             1    166
023400151229     D   ValueA167             1    167
023500151229     D   ValueA168             1    168
023600151229     D   ValueA169             1    169
023700151229     D   ValueA170             1    170
023800151229     D   ValueA171             1    171
023900151229     D   ValueA172             1    172
024000151229     D   ValueA173             1    173
024100151229     D   ValueA174             1    174
024200151229     D   ValueA175             1    175
024300151229     D   ValueA176             1    176
024400151229     D   ValueA177             1    177
024500151229     D   ValueA178             1    178
024600151229     D   ValueA179             1    179
024700151229     D   ValueA180             1    180
024800151229     D   ValueA181             1    181
024900151229     D   ValueA182             1    182
025000151229     D   ValueA183             1    183
025100151229     D   ValueA184             1    184
025200151229     D   ValueA185             1    185
025300151229     D   ValueA186             1    186
025400151229     D   ValueA187             1    187
025500151229     D   ValueA188             1    188
025600151229     D   ValueA189             1    189
025700151229     D   ValueA190             1    190
025800151229     D   ValueA191             1    191
025900151229     D   ValueA192             1    192
026000151229     D   ValueA193             1    193
026100151229     D   ValueA194             1    194
026200151229     D   ValueA195             1    195
026300151229     D   ValueA196             1    196
026400151229     D   ValueA197             1    197
026500151229     D   ValueA198             1    198
026600151229     D   ValueA199             1    199
026700151229     D   ValueA200             1    200
026800151031
026900151031     D  ValueN         DS            15
027000151101     D   ValueN1_0             1      1  0 inz(0)
027100151101     D   ValueN1_1             1      1  1 inz(.0)
027200151101     D   ValueN2_0             1      2  0 inz(0)
027300151101     D   ValueN2_1             1      2  1 inz(0)
027400151101     D   ValueN2_2             1      2  2 inz(.0)
027500151101     D   ValueN3_0             1      3  0 inz(0)
027600151101     D   ValueN3_1             1      3  1 inz(0)
027700151101     D   ValueN3_2             1      3  2 inz(0)
027800151101     D   ValueN3_3             1      3  3 inz(.0)
027900151101     D   ValueN4_0             1      4  0 inz(0)
028000151101     D   ValueN4_1             1      4  1 inz(0)
028100151101     D   ValueN4_2             1      4  2 inz(0)
028200151101     D   ValueN4_3             1      4  3 inz(0)
028300151101     D   ValueN4_4             1      4  4 inz(.0)
028400151101     D   ValueN5_0             1      5  0 inz(0)
028500151101     D   ValueN5_1             1      5  1 inz(0)
028600151101     D   ValueN5_2             1      5  2 inz(0)
028700151101     D   ValueN5_3             1      5  3 inz(0)
028800151101     D   ValueN5_4             1      5  4 inz(0)
028900151101     D   ValueN6_0             1      6  0 inz(0)
029000151101     D   ValueN6_1             1      6  1 inz(0)
029100151101     D   ValueN6_2             1      6  2 inz(0)
029200151101     D   ValueN6_3             1      6  3 inz(0)
029300151101     D   ValueN6_4             1      6  4 inz(0)
029400151101     D   ValueN7_0             1      7  0 inz(0)
029500151101     D   ValueN7_1             1      7  1 inz(0)
029600151101     D   ValueN7_2             1      7  2 inz(0)
029700151101     D   ValueN7_3             1      7  3 inz(0)
029800151101     D   ValueN7_4             1      7  4 inz(0)
029900151101     D   ValueN8_0             1      8  0 inz(0)
030000151101     D   ValueN8_1             1      8  1 inz(0)
030100151101     D   ValueN8_2             1      8  2 inz(0)
030200151101     D   ValueN8_3             1      8  3 inz(0)
030300151101     D   ValueN8_4             1      8  4 inz(0)
030400151101     D   ValueN9_0             1      9  0 inz(0)
030500151101     D   ValueN9_1             1      9  1 inz(0)
030600151101     D   ValueN9_2             1      9  2 inz(0)
030700151101     D   ValueN9_3             1      9  3 inz(0)
030800151101     D   ValueN9_4             1      9  4 inz(0)
030900151101     D   ValueN10_0            1     10  0 inz(0)
031000151101     D   ValueN10_1            1     10  1 inz(0)
031100151101     D   ValueN10_2            1     10  2 inz(0)
031200151101     D   ValueN10_3            1     10  3 inz(0)
031300151101     D   ValueN10_4            1     10  4 inz(0)
031400151101     D   ValueN11_0            1     11  0 inz(0)
031500151101     D   ValueN11_1            1     11  1 inz(0)
031600151101     D   ValueN11_2            1     11  2 inz(0)
031700151101     D   ValueN11_3            1     11  3 inz(0)
031800151101     D   ValueN11_4            1     11  4 inz(0)
031900151101     D   ValueN12_0            1     12  0 inz(0)
032000151101     D   ValueN12_1            1     12  1 inz(0)
032100151101     D   ValueN12_2            1     12  2 inz(0)
032200151101     D   ValueN12_3            1     12  3 inz(0)
032300151101     D   ValueN12_4            1     12  4 inz(0)
032400151101     D   ValueN13_0            1     13  0 inz(0)
032500151101     D   ValueN13_1            1     13  1 inz(0)
032600151101     D   ValueN13_2            1     13  2 inz(0)
032700151101     D   ValueN13_3            1     13  3 inz(0)
032800151101     D   ValueN13_4            1     13  4 inz(0)
032900151101     D   ValueN14_0            1     14  0 inz(0)
033000151101     D   ValueN14_1            1     14  1 inz(0)
033100151101     D   ValueN14_2            1     14  2 inz(0)
033200151101     D   ValueN14_3            1     14  3 inz(0)
033300151101     D   ValueN14_4            1     14  4 inz(0)
033400151101     D   ValueN15_0            1     15  0 inz(0)
033500151101     D   ValueN15_1            1     15  1 inz(0)
033600151101     D   ValueN15_2            1     15  2 inz(0)
033700151101     D   ValueN15_3            1     15  3 inz(0)
033800151101     D   ValueN15_4            1     15  4 inz(0)
033900151031
034000151101     D   ValueD1_0     s              1P 0 inz(0)
034100151101     D   ValueD1_1     s              1P 1 inz(.0)
034200151101     D   ValueD3_0     s              3P 0 inz(0)
034300151101     D   ValueD3_1     s              3P 1 inz(0)
034400151101     D   ValueD3_2     s              3P 2 inz(0)
034500151101     D   ValueD3_3     s              3P 3 inz(.0)
034600151101     D   ValueD5_0     s              5P 0 inz(0)
034700151101     D   ValueD5_1     s              5P 1 inz(0)
034800151101     D   ValueD5_2     s              5P 2 inz(0)
034900151101     D   ValueD5_3     s              5P 3 inz(0)
035000151101     D   ValueD5_4     s              5P 4 inz(0)
035100151101     D   ValueD5_5     s              5P 5 inz(.0)
035200151101     D   ValueD7_0     s              7P 0 inz(0)
035300151101     D   ValueD7_1     s              7P 1 inz(0)
035400151101     D   ValueD7_2     s              7P 2 inz(0)
035500151101     D   ValueD7_3     s              7P 3 inz(0)
035600151101     D   ValueD7_4     s              7P 4 inz(0)
035700151101     D   ValueD7_5     s              7P 5 inz(0)
035800151101     D   ValueD7_6     s              7P 6 inz(0)
035900151101     D   ValueD7_7     s              7P 7 inz(.0)
036000151101     D   ValueD9_0     s              9P 0 inz(0)
036100151101     D   ValueD9_1     s              9P 1 inz(0)
036200151101     D   ValueD9_2     s              9P 2 inz(0)
036300151101     D   ValueD9_3     s              9P 3 inz(0)
036400151101     D   ValueD9_4     s              9P 4 inz(0)
036500151101     D   ValueD9_5     s              9P 5 inz(0)
036600151101     D   ValueD9_6     s              9P 6 inz(0)
036700151101     D   ValueD9_7     s              9P 7 inz(0)
036800151101     D   ValueD9_8     s              9P 8 inz(0)
036900151101     D   ValueD9_9     s              9P 9 inz(.0)
037000151101     D   ValueD11_0    s             11P 0 inz(0)
037100151101     D   ValueD11_1    s             11P 1 inz(0)
037200151101     D   ValueD11_2    s             11P 2 inz(0)
037300151101     D   ValueD11_3    s             11P 3 inz(0)
037400151101     D   ValueD11_4    s             11P 4 inz(0)
037500151101     D   ValueD11_5    s             11P 5 inz(0)
037600151101     D   ValueD11_6    s             11P 6 inz(0)
037700151101     D   ValueD11_7    s             11P 7 inz(0)
037800151101     D   ValueD11_8    s             11P 8 inz(0)
037900151101     D   ValueD11_9    s             11P 9 inz(0)
038000151101     D   ValueD11_10   s             11P10 inz(0)
038100151101     D   ValueD11_11   s             11P11 inz(.0)
038200151101     D   ValueD13_0    s             13P 0 inz(0)
038300151101     D   ValueD13_1    s             13P 1 inz(0)
038400151101     D   ValueD13_2    s             13P 2 inz(0)
038500151101     D   ValueD13_3    s             13P 3 inz(0)
038600151101     D   ValueD13_4    s             13P 4 inz(0)
038700151101     D   ValueD13_5    s             13P 5 inz(0)
038800151101     D   ValueD13_6    s             13P 6 inz(0)
038900151101     D   ValueD13_7    s             13P 7 inz(0)
039000151101     D   ValueD13_8    s             13P 8 inz(0)
039100151101     D   ValueD13_9    s             13P 9 inz(0)
039200151101     D   ValueD13_10   s             13P10 inz(0)
039300151101     D   ValueD13_11   s             13P11 inz(0)
039400151101     D   ValueD13_12   s             13P12 inz(0)
039500151101     D   ValueD13_13   s             13P13 inz(.0)
039600151101     D   ValueD15_0    s             15P 0 inz(0)
039700151101     D   ValueD15_1    s             15P 1 inz(0)
039800151101     D   ValueD15_2    s             15P 2 inz(0)
039900151101     D   ValueD15_3    s             15P 3 inz(0)
040000151101     D   ValueD15_4    s             15P 4 inz(0)
040100151101     D   ValueD15_5    s             15P 5 inz(0)
040200151101     D   ValueD15_6    s             15P 6 inz(0)
040300151101     D   ValueD15_7    s             15P 7 inz(0)
040400151101     D   ValueD15_8    s             15P 8 inz(0)
040500151101     D   ValueD15_9    s             15P 9 inz(0)
040600151101     D   ValueD15_10   s             15P10 inz(0)
040700151101     D   ValueD15_11   s             15P11 inz(0)
040800151101     D   ValueD15_12   s             15P12 inz(0)
040900151101     D   ValueD15_13   s             15P13 inz(0)
041000151101     D   ValueD15_14   s             15P14 inz(0)
041100151101     D   ValueD15_15   s             15P15 inz(.0)
041200151101     D
041300151101     D
041400151031
041500160213     D****** SQL DESCRIPTOR AREA ******************************
041600160213     D* If you want to use the SQL descriptor in your program,
041700160213     D* copy the next three data structures exactly as they are.
041800151030     D  SQLDA          DS
041900151030     D  SQLDAID                       8A
042000151030     D  SQLDABC                      10I 0
042100151030     D  SQLN                          5I 0
042200151030     D  SQLD                          5I 0
042300151030     D  SQL_VAR                      80A   DIM(SQL_NUM)
042400151030     D                        33     48*
042500151030     D                        49     64*
042600151030     D*
042700151030     D SQLVAR          DS
042800151030     D  SQLTYPE                       5I 0
042900151030     D  SQLLEN                        5I 0
043000151030     D  SQLRES                       12A
043100151030     D  SQLINFO1                     16A
043200151031     D   SQLDATA                       *   OVERLAY(SQLINFO1:1)
043300151030     D   SQL_RESULT_SET_LOCATOR...
043400151030     D                               20I 0 OVERLAY(SQLINFO1:1)
043500151030     D  SQLINFO2                     16A
043600151031     D   SQLIND                        *   OVERLAY(SQLINFO2:1)
043700151030     D   SQL_ROW_CHANGE...
043800151030     D                               10I 0 OVERLAY(SQLINFO2:1)
043900151030     D   SQL_RESULT_SET_ROWS...
044000151030     D                               10I 0 OVERLAY(SQLINFO2:1)
044100151030     D  SQLNAMELEN                    5I 0
044200151030     D  SQLNAME                      30A
044300151030     D*  END OF SQLDA
044400151030     D*  EXTENDED SQLDA
044500151030     D SQLVAR2         DS
044600151030     D  SQLLONGL               1      4I 0
044700151030     D  SQLRSVDL               5     32A
044800151030     D  SQLDATAL              33     48*
044900151030     D  SQLTNAMELN            49     50I 0
045000151030     D  SQLTNAME              51     80A
045100160213     D** END OF EXTENDED SQLDA ********************************
045200151030
045300151030     D SQL_NUM         C                    const(200)
045400151030
045500160213      *********************************************************
045600151025       // Program Body
045700151025
045800151025       dbname = widbname;
045900151025       Chain (dbname) dshhdrm;
046000151025
046100151025       // Get dashboard layout HTML
046200151025
046300151025       hxbodyname = dblayout;
046400151025
046500151025       chain (hxbodyname) htmlbdm;
046600151025       If %found;
046700151025          widbbody = %trim(hxbody) ;
046800151025       Else;
046900160126          widbbody = ' not found';
047000151025       ENDIF;
047100160213
047200151025       // Get the dashboard details
047300151025
047400151025       ddname = dbname;
047500151025       setll ddname dshdtlm;
047600151025       reade ddname dshdtlm;
047700151025       dow not %eof;
047800151101         If ddprepgm <> *blanks;
047900151101           // Run pre-process program
048000151101     c                   Call      ddprepgm
048100151101         ENDIF;
048200151025         Select;
048300151025         When ddconturl <> *blanks;
048400151025           SubValue = 'Fill in value from a URL';
048500151025
048600151025         When ddprogram <> *blanks;
048700151025           SubValue = 'Fill in value baased on a program';
048800151025
048900151025         //- SQL single Value ------------------------------
049000151025
049100151025         When ddsql <> *blanks and ddsqltype = 'N';
049200151027           EXSR $SQLSingleValue;
049300151106
049400151025         //- SQL Table ------------------------------
049500151025
049600151025         When ddsql <> *blanks and ddsqltype = 'T';
049700151030           EXSR $SQLTable;
049800151106
049900151025         //- HTML Constant ------------------------------
050000151025
050100151025         When ddhtml <> *blanks;
050200151025           SubValue = ddhtml;
050300151106           //- Chart ------------------------------
050400151106           If ddchart <> *blanks;
050500160131             DSHOMN3C (ddchart);
050600151106           Endif;
050700151106
050800151025         Other;
050900151025          SubValue = 'Incomplete definition check Dashboard:' + ddname +
051000151025                      ' Sub Name:' + ddsub;
051100151025         ENDSL;
051200160213
051300160213         // Fill in the heading of the details
051400160213         SubWithHeading = '<h2>' + %trimr(ddheading) +
051500160213           '  <a href="/dashboards/maintdbdetail.php?DB=' + %trim(ddname) +
051600160213             '&SUB=' + %trim(ddsub) + '">' +
051700160213           '<img src="maintenance.jpeg" alt="Maintain Detail"' +
051800160213           'style="width:20px;height:20px;border:0;"> </a>' +
051900160213                          '</h2><br>' + %trimr(SubValue) ;
052000160213
052100160213         // Fill in the dashboard details
052200151118         widbbody = %scanrpl(%trimr(ddsub):
052300151118                %trimr(SubWithHeading):widbbody);
052400151025         reade ddname dshdtlm;
052500151025       ENDDO;
052600151025
052700151025       *inlr = *on;
052800151027
052900151027       //************************************************************************
053000151027       // Subroutine = $SQLSingleValue
053100151027       //************************************************************************
053200151027       Begsr $SQLSingleValue;
053300151027
053400151104           SQLResult = 0;
053500151027           SQLStatement = ddsql;
053600151108        exec sql prepare handle from :SQLStatement;
053700151108        exec sql declare OpenHandle cursor for handle;
053800151108        exec sql Open OpenHandle;
053900151108        exec sql fetch next from OpenHandle into :SQLResult;
054000151108        exec sql Close OpenHandle;
054100151027           If %int(SQLResult) - SQLResult <> 0;
054200151027             SQLResultText = %char(SqlResult);
054300151027           Else;
054400151027             SQLResultText = %char(%int(SqlResult));
054500151027           Endif;
054600160101           // Default to no color
054700160101           IndicatorColor = '<table class="table-all-lines">';
054800151027           // Set color based on indicator values
054900160101           If ddredvalue <> 0 or ddylwvalue <> 0 or ddgrnvalue <> 0;
055000160101             // Green
055100160101             If ddgrnsign = '=' and SQLResult = ddgrnvalue;
055200160101               IndicatorColor = '<table class="table-Green">';
055300160101             ENDIF;
055400160101             If ddgrnsign = '<' and SQLResult < ddgrnvalue;
055500160101               IndicatorColor = '<table class="table-Green">';
055600160101             ENDIF;
055700160101             If ddgrnsign = '>' and SQLResult > ddgrnvalue;
055800160101               IndicatorColor = '<table class="table-Green">';
055900160101             ENDIF;
056000160101             If ddgrnsign = '<=' and SQLResult <= ddgrnvalue;
056100160101               IndicatorColor = '<table class="table-Green">';
056200160101             ENDIF;
056300160101             If ddgrnsign = '>=' and SQLResult >= ddgrnvalue;
056400160101               IndicatorColor = '<table class="table-Green">';
056500160101             ENDIF;
056600160101             If ddgrnsign = '<>' and SQLResult <> ddgrnvalue;
056700160101               IndicatorColor = '<table class="table-Green">';
056800160101             ENDIF;
056900151027             // Yellow
057000151027             If ddylwsign = '=' and SQLResult = ddylwvalue;
057100151027               IndicatorColor = '<table class="table-Yellow">';
057200151027             ENDIF;
057300151027             If ddylwsign = '>' and SQLResult > ddylwvalue;
057400151027               IndicatorColor = '<table class="table-Yellow">';
057500151027             ENDIF;
057600151027             If ddylwsign = '<' and SQLResult < ddylwvalue;
057700151027               IndicatorColor = '<table class="table-Yellow">';
057800151027             ENDIF;
057900160101             If ddylwsign = '<=' and SQLResult <= ddylwvalue;
058000160101               IndicatorColor = '<table class="table-Yellow">';
058100160101             ENDIF;
058200160101             If ddylwsign = '>=' and SQLResult >= ddylwvalue;
058300160101               IndicatorColor = '<table class="table-Yellow">';
058400160101             ENDIF;
058500160101             If ddylwsign = '<>' and SQLResult <> ddylwvalue;
058600160101               IndicatorColor = '<table class="table-Yellow">';
058700160101             ENDIF;
058800151027             // Red
058900151027             If ddredsign = '=' and SQLResult = ddredvalue;
059000151027               IndicatorColor = '<table class="table-Red">';
059100151027             ENDIF;
059200151027             If ddredsign = '>' and SQLResult > ddredvalue;
059300151027               IndicatorColor = '<table class="table-Red">';
059400151027             ENDIF;
059500151027             If ddredsign = '<' and SQLResult < ddredvalue;
059600151027               IndicatorColor = '<table class="table-Red">';
059700151027             ENDIF;
059800160101             If ddredsign = '<=' and SQLResult <= ddredvalue;
059900160101               IndicatorColor = '<table class="table-Red">';
060000160101             ENDIF;
060100160101             If ddredsign = '>=' and SQLResult >= ddredvalue;
060200160101               IndicatorColor = '<table class="table-Red">';
060300160101             ENDIF;
060400160101             If ddredsign = '<>' and SQLResult <> ddredvalue;
060500160101               IndicatorColor = '<table class="table-Red">';
060600160101             ENDIF;
060700151027           ENDIF;
060800151027           SubValue = '<center>' + %trim(IndicatorColor) +
060900151027                       '<tr><td><strong>'
061000151027                       + %trim(SQLResultText) +
061100151027                       '</strong></td></tr></table></center>';
061200151027
061300151027       ENDSR;
061400151027
061500151027
061600151027       //************************************************************************
061700151027       // Subroutine = $SQLTable
061800151027       //************************************************************************
061900151030       Begsr $SQLTable;
062000151030
062100151030
062200151030
062300151030           SQLStatement = ddsql;
062400151030           SQLN = 100;
062500151030
062600151031       exec sql prepare handleT from :SQLStatement;
062700151031       exec sql declare OpenHandleT cursor for handleT;
062800151031       exec sql Open OpenHandleT;
062900160213
063000160213       // The following three lines tell you about the file
063100160213       // The following line limits the number of columns to 200
063200160213       // If your SQL returns more than 200 columns, expand the MAX
063300151031       exec SQL ALLOCATE DESCRIPTOR 'Values' WITH MAX 200;
063400151031       exec SQL describe handleT using descriptor 'Values';
063500151031       exec sql describe handleT into :SQLDA using ANY;
063600160213
063700151229         If SQLCOD = 0;
063800151030           Clear ColumnType;
063900151030           TotalColumns = sqld;
064000151101           SubValue = '<table class="table-all-lines"><tr>';
064100151030           for x = 1 to TotalColumns;
064200151030             SQLVAR = SQL_VAR(x);
064300151030             // Determine the type of data in each row
064400151030             Select;
064500151030             When SQLtype = 384 or SQLtype = 385;
064600151030               Eval ColumnType(x) = 'D';
064700151030             When SQLtype = 388 or SQLtype = 389;
064800151030               Eval ColumnType(x) = 'T';
064900151030             When SQLtype = 392 or SQLtype = 393;
065000151030               Eval ColumnType(x) = 'T';
065100151030             When SQLtype = 448 or SQLtype = 449
065200151030               or SQLtype = 452 or SQLtype = 453
065300151030               or SQLtype = 456 or SQLtype = 457;
065400151030               Eval ColumnType(x) = 'A';
065500151030
065600151030             When SQLtype = 480 or SQLtype = 481
065700151030               or SQLtype = 484 or SQLtype = 485
065800151030               or SQLtype = 488 or SQLtype = 489
065900151030               or SQLtype = 492 or SQLtype = 493
066000151030               or SQLtype = 496 or SQLtype = 497
066100151030               or SQLtype = 500 or SQLtype = 501;
066200151030               Eval ColumnType(x) = 'N';
066300151030             Other;
066400151030               Eval ColumnType(x) = 'U';
066500151030             Endsl;
066600151030             // Formulate the heading
066700151030             SubValue = %trimr(SubValue) + '<th>' +
066800151031                 %trimr(SQLName) + '</th>';
066900151030
067000151030           ENDFOR;
067100151031           SubValue = %trimr(SubValue) + '</tr>';
067200151031
067300151031
067400151031
067500151031           // Get the values and fill into table.
067600151031           sqldabc = 16+sqln*80;
067700151031       exec sql fetch next from OpenHandleT into SQL DESCRIPTOR 'Values';
067800151031           Dow sqlcode = 0;
067900151031             SubValue = %trimr(SubValue) + '<tr>';
068000151031             for x = 1 to TotalColumns;
068100151031       exec sql GET DESCRIPTOR 'Values' VALUE :x
068200151031                                  :type = TYPE,
068300151031                                  :length = LENGTH,
068400151031                                  :result_ind = INDICATOR,
068500151031                                  :scale = SCALE,
068600151031                                  :precision = PRECISION ;
068700151031               Select;
068800151031               When Type = 1;
068900151031                 Exsr $Alpha;
069000151101                 SubValue = %trimr(SubValue) +
069100151031                         '<td>' +
069200151229                         %trim(ValueA) +
069300151031                         '</td>';
069400151031
069500151101               When Type = 2 or Type = 4;
069600151031                 Exsr $Numeric;
069700151031
069800151031                 SubValue = %trimr(SubValue) +
069900151101                         '<td align="Right">' +
070000151031                         %trim(NumericValue) +
070100151031                         '</td>';
070200151031
070300151031               When Type = 3 ;
070400151031                 Exsr $Decimal; // AKA Packed
070500151031
070600151031                 SubValue = %trimr(SubValue) +
070700151101                         '<td align="Right">' +
070800151031                         %trim(NumericValue) +
070900151031                         '</td>';
071000151031
071100151101               When Type = 25 ;
071200151101                 Exsr $BigInt; // Big Integer
071300151101
071400151101                 SubValue = %trimr(SubValue) +
071500151101                         '<td align="Right">' +
071600151101                         %trim(NumericValue) +
071700151101                         '</td>';
071800151101
071900151101               When Type = 5 ;
072000151101                 Exsr $SmallInt; // Small Integer
072100151101
072200151101                 SubValue = %trimr(SubValue) +
072300151101                         '<td align="Right">' +
072400151101                         %trim(NumericValue) +
072500151101                         '</td>';
072600151101
072700151101               When Type = 4 ;
072800151101                 Exsr $Int; // Integer
072900151101
073000151101                 SubValue = %trimr(SubValue) +
073100151101                         '<td align="Right">' +
073200151101                         %trim(NumericValue) +
073300151101                         '</td>';
073400151101
073500151031               Other;
073600151031                 SubValue = %trimr(SubValue) +
073700151031                         '<td></td>' ;
073800151031               ENDSL;
073900151031
074000151031
074100151031
074200151031
074300151031             Endfor;
074400151031             SubValue = %trimr(SubValue) + '</tr>';
074500151031       exec sql fetch next from OpenHandleT into SQL DESCRIPTOR 'Values';
074600151031           ENDDO;
074700151229         Endif;
074800160213       exec sql Close OpenHandleT;
074900151031
075000151031
075100151030
075200151031           SubValue = %trimr(SubValue) + '</table>';
075300151030
075400151030       Endsr;
075500151031
075600151031       //************************************************************************
075700151031       // Subroutine = $Alpha - Get alpha descriptor
075800151031       //************************************************************************
075900151031       Begsr $Alpha;
076000151031
076100151031               Select;
076200151031               When length = 1;
076300151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
076400151031                         :ValueA1 = DATA;
076500151031
076600151031               When length = 2;
076700151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
076800151031                         :ValueA2 = DATA;
076900151031
077000151031               When length = 3;
077100151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
077200151031                         :ValueA3 = DATA;
077300151031
077400151031               When length = 4;
077500151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
077600151031                         :ValueA4 = DATA;
077700151031
077800151031               When length = 5;
077900151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
078000151031                         :ValueA5 = DATA;
078100151031
078200151031               When length = 6;
078300151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
078400151031                         :ValueA6 = DATA;
078500151031
078600151031               When length = 7;
078700151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
078800151031                         :ValueA7 = DATA;
078900151031
079000151031               When length = 8;
079100151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
079200151031                         :ValueA8 = DATA;
079300151031
079400151031               When length = 9;
079500151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
079600151031                         :ValueA9 = DATA;
079700151031
079800151031               When length = 10;
079900151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
080000151031                         :ValueA10 = DATA;
080100151031
080200151031               When length = 11;
080300151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
080400151031                         :ValueA11 = DATA;
080500151031
080600151031               When length = 12;
080700151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
080800151031                         :ValueA12 = DATA;
080900151031
081000151031               When length = 13;
081100151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
081200151031                         :ValueA13 = DATA;
081300151031
081400151031               When length = 14;
081500151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
081600151031                         :ValueA14 = DATA;
081700151031
081800151031               When length = 15;
081900151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
082000151031                         :ValueA15 = DATA;
082100151031
082200151031               When length = 16;
082300151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
082400151031                         :ValueA16 = DATA;
082500151031
082600151031               When length = 17;
082700151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
082800151031                         :ValueA17 = DATA;
082900151031
083000151031               When length = 18;
083100151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
083200151031                         :ValueA18 = DATA;
083300151031
083400151031               When length = 19;
083500151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
083600151031                         :ValueA19 = DATA;
083700151031
083800151031               When length = 20;
083900151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
084000151031                         :ValueA20 = DATA;
084100151101
084200151101               When length = 21;
084300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
084400151101                         :ValueA21 = DATA;
084500151101
084600151101               When length = 22;
084700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
084800151101                         :ValueA22 = DATA;
084900151101
085000151101               When length = 23;
085100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
085200151101                         :ValueA23 = DATA;
085300151101
085400151101               When length = 24;
085500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
085600151101                         :ValueA24 = DATA;
085700151101
085800151101               When length = 25;
085900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
086000151101                         :ValueA25 = DATA;
086100151101
086200151101               When length = 26;
086300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
086400151101                         :ValueA26 = DATA;
086500151101
086600151101               When length = 27;
086700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
086800151101                         :ValueA27 = DATA;
086900151101
087000151101               When length = 28;
087100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
087200151101                         :ValueA28 = DATA;
087300151101
087400151101               When length = 29;
087500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
087600151101                         :ValueA29 = DATA;
087700151101
087800151101               When length = 30;
087900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
088000151101                         :ValueA30 = DATA;
088100151101
088200151101               When length = 31;
088300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
088400151101                         :ValueA31 = DATA;
088500151101
088600151101               When length = 32;
088700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
088800151101                         :ValueA32 = DATA;
088900151101
089000151101               When length = 33;
089100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
089200151101                         :ValueA33 = DATA;
089300151101
089400151101               When length = 34;
089500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
089600151101                         :ValueA34 = DATA;
089700151101
089800151101               When length = 35;
089900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
090000151101                         :ValueA35 = DATA;
090100151101
090200151101               When length = 36;
090300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
090400151101                         :ValueA36 = DATA;
090500151101
090600151101               When length = 37;
090700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
090800151101                         :ValueA37 = DATA;
090900151101
091000151101               When length = 38;
091100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
091200151101                         :ValueA38 = DATA;
091300151101
091400151101               When length = 39;
091500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
091600151101                         :ValueA39 = DATA;
091700151101
091800151101               When length = 40;
091900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
092000151101                         :ValueA40 = DATA;
092100151101
092200151101               When length = 41;
092300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
092400151101                         :ValueA41 = DATA;
092500151101
092600151101               When length = 42;
092700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
092800151101                         :ValueA42 = DATA;
092900151101
093000151101               When length = 43;
093100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
093200151101                         :ValueA43 = DATA;
093300151101
093400151101               When length = 44;
093500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
093600151101                         :ValueA44 = DATA;
093700151101
093800151101               When length = 45;
093900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
094000151101                         :ValueA45 = DATA;
094100151101
094200151101               When length = 46;
094300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
094400151101                         :ValueA46 = DATA;
094500151101
094600151101               When length = 47;
094700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
094800151101                         :ValueA47 = DATA;
094900151101
095000151101               When length = 48;
095100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
095200151101                         :ValueA48 = DATA;
095300151101
095400151101               When length = 49;
095500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
095600151101                         :ValueA49 = DATA;
095700151101
095800151101               When length = 50;
095900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
096000151101                         :ValueA50 = DATA;
096100151101
096200151101               When length = 51;
096300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
096400151101                         :ValueA51 = DATA;
096500151101
096600151101               When length = 52;
096700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
096800151101                         :ValueA52 = DATA;
096900151101
097000151101               When length = 53;
097100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
097200151101                         :ValueA53 = DATA;
097300151101
097400151101               When length = 54;
097500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
097600151101                         :ValueA54 = DATA;
097700151101
097800151101               When length = 55;
097900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
098000151101                         :ValueA55 = DATA;
098100151101
098200151101               When length = 56;
098300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
098400151101                         :ValueA56 = DATA;
098500151101
098600151101               When length = 57;
098700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
098800151101                         :ValueA57 = DATA;
098900151101
099000151101               When length = 58;
099100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
099200151101                         :ValueA58 = DATA;
099300151101
099400151101               When length = 59;
099500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
099600151101                         :ValueA59 = DATA;
099700151101
099800151101               When length = 60;
099900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
100000151101                         :ValueA60 = DATA;
100100151101
100200151101               When length = 61;
100300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
100400151101                         :ValueA61 = DATA;
100500151101
100600151101               When length = 62;
100700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
100800151101                         :ValueA62 = DATA;
100900151101
101000151101               When length = 63;
101100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
101200151101                         :ValueA63 = DATA;
101300151101
101400151101               When length = 64;
101500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
101600151101                         :ValueA64 = DATA;
101700151101
101800151101               When length = 65;
101900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
102000151101                         :ValueA65 = DATA;
102100151101
102200151101               When length = 66;
102300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
102400151101                         :ValueA66 = DATA;
102500151101
102600151101               When length = 67;
102700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
102800151101                         :ValueA67 = DATA;
102900151101
103000151101               When length = 68;
103100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
103200151101                         :ValueA68 = DATA;
103300151101
103400151101               When length = 69;
103500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
103600151101                         :ValueA69 = DATA;
103700151101
103800151101               When length = 70;
103900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
104000151101                         :ValueA70 = DATA;
104100151101
104200151101               When length = 71;
104300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
104400151101                         :ValueA71 = DATA;
104500151101
104600151101               When length = 72;
104700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
104800151101                         :ValueA72 = DATA;
104900151101
105000151101               When length = 73;
105100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
105200151101                         :ValueA73 = DATA;
105300151101
105400151101               When length = 74;
105500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
105600151101                         :ValueA74 = DATA;
105700151101
105800151101               When length = 75;
105900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
106000151101                         :ValueA75 = DATA;
106100151101
106200151101               When length = 76;
106300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
106400151101                         :ValueA76 = DATA;
106500151101
106600151101               When length = 77;
106700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
106800151101                         :ValueA77 = DATA;
106900151101
107000151101               When length = 78;
107100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
107200151101                         :ValueA78 = DATA;
107300151101
107400151101               When length = 79;
107500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
107600151101                         :ValueA79 = DATA;
107700151101
107800151101               When length = 80;
107900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
108000151101                         :ValueA80 = DATA;
108100151101
108200151101               When length = 81;
108300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
108400151101                         :ValueA81 = DATA;
108500151101
108600151101               When length = 82;
108700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
108800151101                         :ValueA82 = DATA;
108900151101
109000151101               When length = 83;
109100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
109200151101                         :ValueA83 = DATA;
109300151101
109400151101               When length = 84;
109500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
109600151101                         :ValueA84 = DATA;
109700151101
109800151101               When length = 85;
109900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
110000151101                         :ValueA85 = DATA;
110100151101
110200151101               When length = 86;
110300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
110400151101                         :ValueA86 = DATA;
110500151101
110600151101               When length = 87;
110700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
110800151101                         :ValueA87 = DATA;
110900151101
111000151101               When length = 88;
111100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
111200151101                         :ValueA88 = DATA;
111300151101
111400151101               When length = 89;
111500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
111600151101                         :ValueA89 = DATA;
111700151101
111800151101               When length = 90;
111900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
112000151101                         :ValueA90 = DATA;
112100151101
112200151101               When length = 91;
112300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
112400151101                         :ValueA91 = DATA;
112500151101
112600151101               When length = 92;
112700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
112800151101                         :ValueA92 = DATA;
112900151101
113000151101               When length = 93;
113100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
113200151101                         :ValueA93 = DATA;
113300151101
113400151101               When length = 94;
113500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
113600151101                         :ValueA94 = DATA;
113700151101
113800151101               When length = 95;
113900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
114000151101                         :ValueA95 = DATA;
114100151101
114200151101               When length = 96;
114300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
114400151101                         :ValueA96 = DATA;
114500151101
114600151101               When length = 97;
114700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
114800151101                         :ValueA97 = DATA;
114900151101
115000151101               When length = 98;
115100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
115200151101                         :ValueA98 = DATA;
115300151101
115400151101               When length = 99;
115500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
115600151101                         :ValueA99 = DATA;
115700151101
115800151101               When length = 100;
115900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
116000151101                         :ValueA100 = DATA;
116100151229
116200151229               When length = 101;
116300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
116400151229                         :ValueA101 = DATA;
116500151229
116600151229               When length = 102;
116700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
116800151229                         :ValueA102 = DATA;
116900151229
117000151229               When length = 103;
117100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
117200151229                         :ValueA103 = DATA;
117300151229
117400151229               When length = 104;
117500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
117600151229                         :ValueA104 = DATA;
117700151229
117800151229               When length = 105;
117900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
118000151229                         :ValueA105 = DATA;
118100151229
118200151229               When length = 106;
118300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
118400151229                         :ValueA106 = DATA;
118500151229
118600151229               When length = 107;
118700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
118800151229                         :ValueA107 = DATA;
118900151229
119000151229               When length = 108;
119100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
119200151229                         :ValueA108 = DATA;
119300151229
119400151229               When length = 109;
119500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
119600151229                         :ValueA109 = DATA;
119700151229
119800151229               When length = 110;
119900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
120000151229                         :ValueA110 = DATA;
120100151229
120200151229               When length = 111;
120300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
120400151229                         :ValueA111 = DATA;
120500151229
120600151229               When length = 112;
120700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
120800151229                         :ValueA112 = DATA;
120900151229
121000151229               When length = 113;
121100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
121200151229                         :ValueA113 = DATA;
121300151229
121400151229               When length = 114;
121500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
121600151229                         :ValueA114 = DATA;
121700151229
121800151229               When length = 115;
121900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
122000151229                         :ValueA115 = DATA;
122100151229
122200151229               When length = 116;
122300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
122400151229                         :ValueA116 = DATA;
122500151229
122600151229               When length = 117;
122700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
122800151229                         :ValueA117 = DATA;
122900151229
123000151229               When length = 118;
123100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
123200151229                         :ValueA118 = DATA;
123300151229
123400151229               When length = 119;
123500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
123600151229                         :ValueA119 = DATA;
123700151229
123800151229               When length = 120;
123900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
124000151229                         :ValueA120 = DATA;
124100151229
124200151229               When length = 121;
124300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
124400151229                         :ValueA121 = DATA;
124500151229
124600151229               When length = 122;
124700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
124800151229                         :ValueA122 = DATA;
124900151229
125000151229               When length = 123;
125100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
125200151229                         :ValueA123 = DATA;
125300151229
125400151229               When length = 124;
125500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
125600151229                         :ValueA124 = DATA;
125700151229
125800151229               When length = 125;
125900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
126000151229                         :ValueA125 = DATA;
126100151229
126200151229               When length = 126;
126300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
126400151229                         :ValueA126 = DATA;
126500151229
126600151229               When length = 127;
126700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
126800151229                         :ValueA127 = DATA;
126900151229
127000151229               When length = 128;
127100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
127200151229                         :ValueA128 = DATA;
127300151229
127400151229               When length = 129;
127500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
127600151229                         :ValueA129 = DATA;
127700151229
127800151229               When length = 130;
127900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
128000151229                         :ValueA130 = DATA;
128100151229
128200151229               When length = 131;
128300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
128400151229                         :ValueA131 = DATA;
128500151229
128600151229               When length = 132;
128700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
128800151229                         :ValueA132 = DATA;
128900151229
129000151229               When length = 133;
129100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
129200151229                         :ValueA133 = DATA;
129300151229
129400151229               When length = 134;
129500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
129600151229                         :ValueA134 = DATA;
129700151229
129800151229               When length = 135;
129900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
130000151229                         :ValueA135 = DATA;
130100151229
130200151229               When length = 136;
130300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
130400151229                         :ValueA136 = DATA;
130500151229
130600151229               When length = 137;
130700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
130800151229                         :ValueA137 = DATA;
130900151229
131000151229               When length = 138;
131100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
131200151229                         :ValueA138 = DATA;
131300151229
131400151229               When length = 139;
131500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
131600151229                         :ValueA139 = DATA;
131700151229
131800151229               When length = 140;
131900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
132000151229                         :ValueA140 = DATA;
132100151229
132200151229               When length = 141;
132300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
132400151229                         :ValueA141 = DATA;
132500151229
132600151229               When length = 142;
132700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
132800151229                         :ValueA142 = DATA;
132900151229
133000151229               When length = 143;
133100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
133200151229                         :ValueA143 = DATA;
133300151229
133400151229               When length = 144;
133500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
133600151229                         :ValueA144 = DATA;
133700151229
133800151229               When length = 145;
133900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
134000151229                         :ValueA145 = DATA;
134100151229
134200151229               When length = 146;
134300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
134400151229                         :ValueA146 = DATA;
134500151229
134600151229               When length = 147;
134700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
134800151229                         :ValueA147 = DATA;
134900151229
135000151229               When length = 148;
135100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
135200151229                         :ValueA148 = DATA;
135300151229
135400151229               When length = 149;
135500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
135600151229                         :ValueA149 = DATA;
135700151229
135800151229               When length = 150;
135900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
136000151229                         :ValueA150 = DATA;
136100151229
136200151229               When length = 151;
136300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
136400151229                         :ValueA151 = DATA;
136500151229
136600151229               When length = 152;
136700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
136800151229                         :ValueA152 = DATA;
136900151229
137000151229               When length = 153;
137100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
137200151229                         :ValueA153 = DATA;
137300151229
137400151229               When length = 154;
137500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
137600151229                         :ValueA154 = DATA;
137700151229
137800151229               When length = 155;
137900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
138000151229                         :ValueA155 = DATA;
138100151229
138200151229               When length = 156;
138300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
138400151229                         :ValueA156 = DATA;
138500151229
138600151229               When length = 157;
138700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
138800151229                         :ValueA157 = DATA;
138900151229
139000151229               When length = 158;
139100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
139200151229                         :ValueA158 = DATA;
139300151229
139400151229               When length = 159;
139500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
139600151229                         :ValueA159 = DATA;
139700151229
139800151229               When length = 160;
139900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
140000151229                         :ValueA160 = DATA;
140100151229
140200151229               When length = 161;
140300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
140400151229                         :ValueA161 = DATA;
140500151229
140600151229               When length = 162;
140700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
140800151229                         :ValueA162 = DATA;
140900151229
141000151229               When length = 163;
141100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
141200151229                         :ValueA163 = DATA;
141300151229
141400151229               When length = 164;
141500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
141600151229                         :ValueA164 = DATA;
141700151229
141800151229               When length = 165;
141900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
142000151229                         :ValueA165 = DATA;
142100151229
142200151229               When length = 166;
142300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
142400151229                         :ValueA166 = DATA;
142500151229
142600151229               When length = 167;
142700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
142800151229                         :ValueA167 = DATA;
142900151229
143000151229               When length = 168;
143100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
143200151229                         :ValueA168 = DATA;
143300151229
143400151229               When length = 169;
143500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
143600151229                         :ValueA169 = DATA;
143700151229
143800151229               When length = 170;
143900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
144000151229                         :ValueA170 = DATA;
144100151229
144200151229               When length = 171;
144300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
144400151229                         :ValueA171 = DATA;
144500151229
144600151229               When length = 172;
144700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
144800151229                         :ValueA172 = DATA;
144900151229
145000151229               When length = 173;
145100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
145200151229                         :ValueA173 = DATA;
145300151229
145400151229               When length = 174;
145500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
145600151229                         :ValueA174 = DATA;
145700151229
145800151229               When length = 175;
145900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
146000151229                         :ValueA175 = DATA;
146100151229
146200151229               When length = 176;
146300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
146400151229                         :ValueA176 = DATA;
146500151229
146600151229               When length = 177;
146700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
146800151229                         :ValueA177 = DATA;
146900151229
147000151229               When length = 178;
147100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
147200151229                         :ValueA178 = DATA;
147300151229
147400151229               When length = 179;
147500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
147600151229                         :ValueA179 = DATA;
147700151229
147800151229               When length = 180;
147900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
148000151229                         :ValueA180 = DATA;
148100151229
148200151229               When length = 181;
148300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
148400151229                         :ValueA181 = DATA;
148500151229
148600151229               When length = 182;
148700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
148800151229                         :ValueA182 = DATA;
148900151229
149000151229               When length = 183;
149100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
149200151229                         :ValueA183 = DATA;
149300151229
149400151229               When length = 184;
149500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
149600151229                         :ValueA184 = DATA;
149700151229
149800151229               When length = 185;
149900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
150000151229                         :ValueA185 = DATA;
150100151229
150200151229               When length = 186;
150300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
150400151229                         :ValueA186 = DATA;
150500151229
150600151229               When length = 187;
150700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
150800151229                         :ValueA187 = DATA;
150900151229
151000151229               When length = 188;
151100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
151200151229                         :ValueA188 = DATA;
151300151229
151400151229               When length = 189;
151500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
151600151229                         :ValueA189 = DATA;
151700151229
151800151229               When length = 190;
151900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
152000151229                         :ValueA190 = DATA;
152100151229
152200151229               When length = 191;
152300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
152400151229                         :ValueA191 = DATA;
152500151229
152600151229               When length = 192;
152700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
152800151229                         :ValueA192 = DATA;
152900151229
153000151229               When length = 193;
153100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
153200151229                         :ValueA193 = DATA;
153300151229
153400151229               When length = 194;
153500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
153600151229                         :ValueA194 = DATA;
153700151229
153800151229               When length = 195;
153900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
154000151229                         :ValueA195 = DATA;
154100151229
154200151229               When length = 196;
154300151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
154400151229                         :ValueA196 = DATA;
154500151229
154600151229               When length = 197;
154700151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
154800151229                         :ValueA197 = DATA;
154900151229
155000151229               When length = 198;
155100151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
155200151229                         :ValueA198 = DATA;
155300151229
155400151229               When length = 199;
155500151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
155600151229                         :ValueA199 = DATA;
155700151229
155800151229               When length = 200;
155900151229                 exec sql GET DESCRIPTOR 'Values' VALUE :x
156000151229                         :ValueA200 = DATA;
156100151101               Other;
156200151229                 ValueA200 = *blanks;
156300151031               Endsl;
156400151031
156500151031       Endsr;
156600151031
156700151031       //************************************************************************
156800151031       // Subroutine = $Numeric - Get numeric descriptor
156900151031       //************************************************************************
157000151031       Begsr $Numeric;
157100151031
157200151031               Select;
157300151101           // 1
157400151101               When length = 1 and scale = 0;
157500151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
157600151101                         :ValueN1_0 = DATA;
157700151101               NumericValue = %editc(ValueN1_0:'K');
157800151101
157900151101               When length = 1 and scale = 1;
158000151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
158100151101                         :ValueN1_1 = DATA;
158200151101               NumericValue = %editc(ValueN1_1:'K');
158300151101           // 2
158400151101               When length = 2 and scale = 0;
158500151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
158600151101                         :ValueN2_0 = DATA;
158700151101               NumericValue = %editc(ValueN2_0:'K');
158800151101
158900151101               When length = 2 and scale = 1;
159000151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
159100151101                         :ValueN2_1 = DATA;
159200151101               NumericValue = %editc(ValueN2_1:'K');
159300151101
159400151101               When length = 2 and scale = 2;
159500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
159600151101                         :ValueN2_2 = DATA;
159700151101               NumericValue = %editc(ValueN2_2:'K');
159800151101
159900151101            // 3
160000151101               When length = 3 and scale = 0;
160100151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
160200151101                         :ValueN3_0 = DATA;
160300151101               NumericValue = %editc(ValueN3_0:'K');
160400151101
160500151101               When length = 3 and scale = 1;
160600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
160700151101                         :ValueN3_1 = DATA;
160800151101               NumericValue = %editc(ValueN3_1:'K');
160900151101
161000151101               When length = 3 and scale = 2;
161100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
161200151101                         :ValueN3_2 = DATA;
161300151101               NumericValue = %editc(ValueN3_2:'K');
161400151101
161500151101               When length = 3 and scale = 3;
161600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
161700151101                         :ValueN3_3 = DATA;
161800151101               NumericValue = %editc(ValueN3_3:'K');
161900151101
162000151101            // 4
162100151101               When length = 4 and scale = 0;
162200151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
162300151101                         :ValueN4_0 = DATA;
162400151101               NumericValue = %editc(ValueN4_0:'K');
162500151101
162600151101               When length = 4 and scale = 1;
162700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
162800151101                         :ValueN4_1 = DATA;
162900151101               NumericValue = %editc(ValueN4_1:'K');
163000151101
163100151101               When length = 4 and scale = 2;
163200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
163300151101                         :ValueN4_2 = DATA;
163400151101               NumericValue = %editc(ValueN4_2:'K');
163500151101
163600151101               When length = 4 and scale = 3;
163700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
163800151101                         :ValueN4_3 = DATA;
163900151101               NumericValue = %editc(ValueN4_3:'K');
164000151101
164100151101               When length = 4 and scale = 4;
164200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
164300151101                         :ValueN4_4 = DATA;
164400151101               NumericValue = %editc(ValueN4_4:'K');
164500151101
164600151101            // 5
164700151101               When length = 5 and scale = 0;
164800151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
164900151101                         :ValueN5_0 = DATA;
165000151101               NumericValue = %editc(ValueN5_0:'K');
165100151101
165200151101               When length = 5 and scale = 1;
165300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
165400151101                         :ValueN5_1 = DATA;
165500151101               NumericValue = %editc(ValueN5_1:'K');
165600151101
165700151101               When length = 5 and scale = 2;
165800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
165900151101                         :ValueN5_2 = DATA;
166000151101               NumericValue = %editc(ValueN5_2:'K');
166100151101
166200151101               When length = 5 and scale = 3;
166300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
166400151101                         :ValueN5_3 = DATA;
166500151101               NumericValue = %editc(ValueN5_3:'K');
166600151101
166700151101               When length = 5 and scale = 4;
166800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
166900151101                         :ValueN5_4 = DATA;
167000151101               NumericValue = %editc(ValueN5_4:'K');
167100151101
167200151101            // 6
167300151101               When length = 6 and scale = 0;
167400151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
167500151101                         :ValueN6_0 = DATA;
167600151101               NumericValue = %editc(ValueN6_0:'K');
167700151101
167800151101               When length = 6 and scale = 1;
167900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
168000151101                         :ValueN6_1 = DATA;
168100151101               NumericValue = %editc(ValueN6_1:'K');
168200151101
168300151101               When length = 6 and scale = 2;
168400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
168500151101                         :ValueN6_2 = DATA;
168600151101               NumericValue = %editc(ValueN6_2:'K');
168700151101
168800151101               When length = 6 and scale = 3;
168900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
169000151101                         :ValueN6_3 = DATA;
169100151101               NumericValue = %editc(ValueN6_3:'K');
169200151101
169300151101               When length = 6 and scale = 4;
169400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
169500151101                         :ValueN6_4 = DATA;
169600151101               NumericValue = %editc(ValueN6_4:'K');
169700151101
169800151101            // 7
169900151101               When length = 7 and scale = 0;
170000151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
170100151101                         :ValueN7_0 = DATA;
170200151101               NumericValue = %editc(ValueN7_0:'K');
170300151101
170400151101               When length = 7 and scale = 1;
170500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
170600151101                         :ValueN7_1 = DATA;
170700151101               NumericValue = %editc(ValueN7_1:'K');
170800151101
170900151101               When length = 7 and scale = 2;
171000151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
171100151101                         :ValueN7_2 = DATA;
171200151101               NumericValue = %editc(ValueN7_2:'K');
171300151101
171400151101               When length = 7 and scale = 3;
171500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
171600151101                         :ValueN7_3 = DATA;
171700151101               NumericValue = %editc(ValueN7_3:'K');
171800151101
171900151101               When length = 7 and scale = 4;
172000151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
172100151101                         :ValueN7_4 = DATA;
172200151101               NumericValue = %editc(ValueN7_4:'K');
172300151101
172400151101            // 8
172500151101               When length = 8 and scale = 0;
172600151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
172700151101                         :ValueN8_0 = DATA;
172800151101               NumericValue = %editc(ValueN8_0:'K');
172900151101
173000151101               When length = 8 and scale = 1;
173100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
173200151101                         :ValueN8_1 = DATA;
173300151101               NumericValue = %editc(ValueN8_1:'K');
173400151101
173500151101               When length = 8 and scale = 2;
173600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
173700151101                         :ValueN8_2 = DATA;
173800151101               NumericValue = %editc(ValueN8_2:'K');
173900151101
174000151101               When length = 8 and scale = 3;
174100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
174200151101                         :ValueN8_3 = DATA;
174300151101               NumericValue = %editc(ValueN8_3:'K');
174400151101
174500151101               When length = 8 and scale = 4;
174600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
174700151101                         :ValueN8_4 = DATA;
174800151101               NumericValue = %editc(ValueN8_4:'K');
174900151101
175000151101            // 9
175100151101               When length = 9 and scale = 0;
175200151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
175300151101                         :ValueN9_0 = DATA;
175400151101               NumericValue = %editc(ValueN9_0:'K');
175500151101
175600151101               When length = 9 and scale = 1;
175700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
175800151101                         :ValueN9_1 = DATA;
175900151101               NumericValue = %editc(ValueN9_1:'K');
176000151101
176100151101               When length = 9 and scale = 2;
176200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
176300151101                         :ValueN9_2 = DATA;
176400151101               NumericValue = %editc(ValueN9_2:'K');
176500151101
176600151101               When length = 9 and scale = 3;
176700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
176800151101                         :ValueN9_3 = DATA;
176900151101               NumericValue = %editc(ValueN9_3:'K');
177000151101
177100151101               When length = 9 and scale = 4;
177200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
177300151101                         :ValueN9_4 = DATA;
177400151101               NumericValue = %editc(ValueN9_4:'K');
177500151101
177600151101            // 10
177700151101               When length = 10 and scale = 0;
177800151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
177900151101                         :ValueN10_0 = DATA;
178000151101               NumericValue = %editc(ValueN10_0:'K');
178100151101
178200151101               When length = 10 and scale = 1;
178300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
178400151101                         :ValueN10_1 = DATA;
178500151101               NumericValue = %editc(ValueN10_1:'K');
178600151101
178700151101               When length = 10 and scale = 2;
178800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
178900151101                         :ValueN10_2 = DATA;
179000151101               NumericValue = %editc(ValueN10_2:'K');
179100151101
179200151101               When length = 10 and scale = 3;
179300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
179400151101                         :ValueN10_3 = DATA;
179500151101               NumericValue = %editc(ValueN10_3:'K');
179600151101
179700151101               When length = 10 and scale = 4;
179800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
179900151101                         :ValueN10_4 = DATA;
180000151101               NumericValue = %editc(ValueN10_4:'K');
180100151101
180200151101            // 11
180300151101               When length = 11 and scale = 0;
180400151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
180500151101                         :ValueN11_0 = DATA;
180600151101               NumericValue = %editc(ValueN11_0:'K');
180700151031
180800151101               When length = 11 and scale = 1;
180900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
181000151101                         :ValueN11_1 = DATA;
181100151101               NumericValue = %editc(ValueN11_1:'K');
181200151101
181300151101               When length = 11 and scale = 2;
181400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
181500151101                         :ValueN11_2 = DATA;
181600151101               NumericValue = %editc(ValueN11_2:'K');
181700151101
181800151101               When length = 11 and scale = 3;
181900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
182000151101                         :ValueN11_3 = DATA;
182100151101               NumericValue = %editc(ValueN11_3:'K');
182200151101
182300151101               When length = 11 and scale = 4;
182400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
182500151101                         :ValueN11_4 = DATA;
182600151101               NumericValue = %editc(ValueN11_4:'K');
182700151101
182800151101            // 12
182900151101               When length = 12 and scale = 0;
183000151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
183100151101                         :ValueN12_0 = DATA;
183200151101               NumericValue = %editc(ValueN12_0:'K');
183300151101
183400151101               When length = 12 and scale = 1;
183500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
183600151101                         :ValueN12_1 = DATA;
183700151101               NumericValue = %editc(ValueN12_1:'K');
183800151101
183900151101               When length = 12 and scale = 2;
184000151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
184100151101                         :ValueN12_2 = DATA;
184200151101               NumericValue = %editc(ValueN12_2:'K');
184300151101
184400151101               When length = 12 and scale = 3;
184500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
184600151101                         :ValueN12_3 = DATA;
184700151101               NumericValue = %editc(ValueN12_3:'K');
184800151101
184900151101               When length = 12 and scale = 4;
185000151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
185100151101                         :ValueN12_4 = DATA;
185200151101               NumericValue = %editc(ValueN12_4:'K');
185300151101
185400151101            // 13
185500151101               When length = 13 and scale = 0;
185600151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
185700151101                         :ValueN13_0 = DATA;
185800151101               NumericValue = %editc(ValueN13_0:'K');
185900151101
186000151101               When length = 13 and scale = 1;
186100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
186200151101                         :ValueN13_1 = DATA;
186300151101               NumericValue = %editc(ValueN13_1:'K');
186400151101
186500151101               When length = 13 and scale = 2;
186600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
186700151101                         :ValueN13_2 = DATA;
186800151101               NumericValue = %editc(ValueN13_2:'K');
186900151101
187000151101               When length = 13 and scale = 3;
187100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
187200151101                         :ValueN13_3 = DATA;
187300151101               NumericValue = %editc(ValueN13_3:'K');
187400151101
187500151101               When length = 13 and scale = 4;
187600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
187700151101                         :ValueN13_4 = DATA;
187800151101               NumericValue = %editc(ValueN13_4:'K');
187900151101
188000151101            // 14
188100151101               When length = 14 and scale = 0;
188200151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
188300151101                         :ValueN14_0 = DATA;
188400151101               NumericValue = %editc(ValueN14_0:'K');
188500151101
188600151101               When length = 14 and scale = 1;
188700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
188800151101                         :ValueN14_1 = DATA;
188900151101               NumericValue = %editc(ValueN14_1:'K');
189000151101
189100151101               When length = 14 and scale = 2;
189200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
189300151101                         :ValueN14_2 = DATA;
189400151101               NumericValue = %editc(ValueN14_2:'K');
189500151101
189600151101               When length = 14 and scale = 3;
189700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
189800151101                         :ValueN14_3 = DATA;
189900151101               NumericValue = %editc(ValueN14_3:'K');
190000151101
190100151101               When length = 14 and scale = 4;
190200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
190300151101                         :ValueN14_4 = DATA;
190400151101               NumericValue = %editc(ValueN14_4:'K');
190500151101
190600151101            // 15
190700151101               When length = 15 and scale = 0;
190800151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
190900151101                         :ValueN15_0 = DATA;
191000151101               NumericValue = %editc(ValueN15_0:'K');
191100151101
191200151101               When length = 15 and scale = 1;
191300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
191400151101                         :ValueN15_1 = DATA;
191500151101               NumericValue = %editc(ValueN15_1:'K');
191600151101
191700151101               When length = 15 and scale = 2;
191800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
191900151101                         :ValueN15_2 = DATA;
192000151101               NumericValue = %editc(ValueN15_2:'K');
192100151101
192200151101               When length = 15 and scale = 3;
192300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
192400151101                         :ValueN15_3 = DATA;
192500151101               NumericValue = %editc(ValueN15_3:'K');
192600151101
192700151101               When length = 15 and scale = 4;
192800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
192900151101                         :ValueN15_4 = DATA;
193000151101               NumericValue = %editc(ValueN15_4:'K');
193100151101
193200151101               Other;
193300151101                 NumericValue = *blanks;
193400151031               Endsl;
193500151031
193600151031       ENDSR;
193700151031
193800151031       //************************************************************************
193900151031       // Subroutine = $Decimal - Get numeric descriptor
194000151031       //************************************************************************
194100151031       Begsr $Decimal;
194200151031
194300151031               Length = (Precision/2)+1;
194400151031               Select;
194500151101           // 1
194600151101               When Length = 1 and scale = 0;
194700151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
194800151101                         :ValueD1_0 = DATA;
194900151101                 NumericValue = %editc(ValueD1_0:'K');
195000151101
195100151101               When Length = 1 and scale = 1;
195200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
195300151101                         :ValueD1_1 = DATA;
195400151101                 NumericValue = %editc(ValueD1_1:'K');
195500151031
195600151101           // 2
195700151101               When Length = 2 and scale = 0;
195800151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
195900151101                         :ValueD3_0 = DATA;
196000151101                 NumericValue = %editc(ValueD3_0:'K');
196100151031
196200151101               When Length = 2 and scale = 1;
196300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
196400151101                         :ValueD3_1 = DATA;
196500151101                 NumericValue = %editc(ValueD3_1:'K');
196600151101
196700151101               When Length = 2 and scale = 2;
196800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
196900151101                         :ValueD3_2 = DATA;
197000151101                 NumericValue = %editc(ValueD3_2:'K');
197100151101
197200151101               When Length = 2 and scale = 3;
197300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
197400151101                         :ValueD3_3 = DATA;
197500151101                 NumericValue = %editc(ValueD3_3:'K');
197600151101
197700151101           // 3
197800151101               When Length = 3 and scale = 0;
197900151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
198000151101                         :ValueD5_0 = DATA;
198100151101                 NumericValue = %editc(ValueD5_0:'K');
198200151031
198300151101               When Length = 3 and scale = 1;
198400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
198500151101                         :ValueD5_1 = DATA;
198600151101                 NumericValue = %editc(ValueD5_1:'K');
198700151101
198800151101               When Length = 3 and scale = 2;
198900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
199000151101                         :ValueD5_2 = DATA;
199100151101                 NumericValue = %editc(ValueD5_2:'K');
199200151101
199300151101               When Length = 3 and scale = 3;
199400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
199500151101                         :ValueD5_3 = DATA;
199600151101                 NumericValue = %editc(ValueD5_3:'K');
199700151101
199800151101               When Length = 3 and scale = 4;
199900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
200000151101                         :ValueD5_4 = DATA;
200100151101                 NumericValue = %editc(ValueD5_4:'K');
200200151101
200300151101               When Length = 3 and scale = 5;
200400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
200500151101                         :ValueD5_5 = DATA;
200600151101                 NumericValue = %editc(ValueD5_5:'K');
200700151101
200800151101           // 4
200900151101               When Length = 4 and scale = 0;
201000151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
201100151101                         :ValueD7_0 = DATA;
201200151101                 NumericValue = %editc(ValueD7_0:'K');
201300151031
201400151101               When Length = 4 and scale = 1;
201500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
201600151101                         :ValueD7_1 = DATA;
201700151101                 NumericValue = %editc(ValueD7_1:'K');
201800151101
201900151101               When Length = 4 and scale = 2;
202000151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
202100151101                         :ValueD7_2 = DATA;
202200151101                 NumericValue = %editc(ValueD7_2:'K');
202300151101
202400151101               When Length = 4 and scale = 3;
202500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
202600151101                         :ValueD7_3 = DATA;
202700151101                 NumericValue = %editc(ValueD7_3:'K');
202800151101
202900151101               When Length = 4 and scale = 4;
203000151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
203100151101                         :ValueD7_4 = DATA;
203200151101                 NumericValue = %editc(ValueD7_4:'K');
203300151101
203400151101               When Length = 4 and scale = 5;
203500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
203600151101                         :ValueD7_5 = DATA;
203700151101                 NumericValue = %editc(ValueD7_5:'K');
203800151101
203900151101               When Length = 4 and scale = 6;
204000151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
204100151101                         :ValueD7_6 = DATA;
204200151101                 NumericValue = %editc(ValueD7_6:'K');
204300151101
204400151101               When Length = 4 and scale = 7;
204500151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
204600151101                         :ValueD7_7 = DATA;
204700151101                 NumericValue = %editc(ValueD7_7:'K');
204800151101
204900151101           // 5
205000151101               When Length = 5 and scale = 0;
205100151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
205200151101                         :ValueD9_0 = DATA;
205300151101                 NumericValue = %editc(ValueD9_0:'K');
205400151031
205500151101               When Length = 5 and scale = 1;
205600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
205700151101                         :ValueD9_1 = DATA;
205800151101                 NumericValue = %editc(ValueD9_1:'K');
205900151101
206000151101               When Length = 5 and scale = 2;
206100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
206200151101                         :ValueD9_2 = DATA;
206300151101                 NumericValue = %editc(ValueD9_2:'K');
206400151101
206500151101               When Length = 5 and scale = 3;
206600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
206700151101                         :ValueD9_3 = DATA;
206800151101                 NumericValue = %editc(ValueD9_3:'K');
206900151101
207000151101               When Length = 5 and scale = 4;
207100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
207200151101                         :ValueD9_4 = DATA;
207300151101                 NumericValue = %editc(ValueD9_4:'K');
207400151101
207500151101               When Length = 5 and scale = 5;
207600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
207700151101                         :ValueD9_5 = DATA;
207800151101                 NumericValue = %editc(ValueD9_5:'K');
207900151101
208000151101               When Length = 5 and scale = 6;
208100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
208200151101                         :ValueD9_6 = DATA;
208300151101                 NumericValue = %editc(ValueD9_6:'K');
208400151101
208500151101               When Length = 5 and scale = 7;
208600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
208700151101                         :ValueD9_7 = DATA;
208800151101                 NumericValue = %editc(ValueD9_7:'K');
208900151101
209000151101               When Length = 5 and scale = 8;
209100151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
209200151101                         :ValueD9_8 = DATA;
209300151101                 NumericValue = %editc(ValueD9_8:'K');
209400151101
209500151101               When Length = 5 and scale = 9;
209600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
209700151101                         :ValueD9_9 = DATA;
209800151101                 NumericValue = %editc(ValueD9_9:'K');
209900151101
210000151101           // 6
210100151101               When Length = 6 and scale = 0;
210200151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
210300151101                         :ValueD11_0 = DATA;
210400151101                 NumericValue = %editc(ValueD11_0:'K');
210500151031
210600151101               When Length = 6 and scale = 1;
210700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
210800151101                         :ValueD11_1 = DATA;
210900151101                 NumericValue = %editc(ValueD11_1:'K');
211000151101
211100151101               When Length = 6 and scale = 2;
211200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
211300151101                         :ValueD11_2 = DATA;
211400151101                 NumericValue = %editc(ValueD11_2:'K');
211500151101
211600151101               When Length = 6 and scale = 3;
211700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
211800151101                         :ValueD11_3 = DATA;
211900151101                 NumericValue = %editc(ValueD11_3:'K');
212000151101
212100151101               When Length = 6 and scale = 4;
212200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
212300151101                         :ValueD11_4 = DATA;
212400151101                 NumericValue = %editc(ValueD11_4:'K');
212500151101
212600151101               When Length = 6 and scale = 5;
212700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
212800151101                         :ValueD11_5 = DATA;
212900151101                 NumericValue = %editc(ValueD11_5:'K');
213000151101
213100151101               When Length = 6 and scale = 6;
213200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
213300151101                         :ValueD11_6 = DATA;
213400151101                 NumericValue = %editc(ValueD11_6:'K');
213500151101
213600151101               When Length = 6 and scale = 7;
213700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
213800151101                         :ValueD11_7 = DATA;
213900151101                 NumericValue = %editc(ValueD11_7:'K');
214000151101
214100151101               When Length = 6 and scale = 8;
214200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
214300151101                         :ValueD11_8 = DATA;
214400151101                 NumericValue = %editc(ValueD11_8:'K');
214500151101
214600151101               When Length = 6 and scale = 9;
214700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
214800151101                         :ValueD11_9 = DATA;
214900151101                 NumericValue = %editc(ValueD11_9:'K');
215000151101
215100151101               When Length = 6 and scale = 10;
215200151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
215300151101                         :ValueD11_10 = DATA;
215400151101                 NumericValue = %editc(ValueD11_10:'K');
215500151101
215600151101               When Length = 6 and scale = 11;
215700151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
215800151101                         :ValueD11_11 = DATA;
215900151101                 NumericValue = %editc(ValueD11_11:'K');
216000151101
216100151101           // 7
216200151101               When Length = 7 and scale = 0;
216300151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
216400151101                         :ValueD13_0 = DATA;
216500151101                 NumericValue = %editc(ValueD13_0:'K');
216600151031
216700151101               When Length = 7 and scale = 1;
216800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
216900151101                         :ValueD13_1 = DATA;
217000151101                 NumericValue = %editc(ValueD13_1:'K');
217100151101
217200151101               When Length = 7 and scale = 2;
217300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
217400151101                         :ValueD13_2 = DATA;
217500151101                 NumericValue = %editc(ValueD13_2:'K');
217600151101
217700151101               When Length = 7 and scale = 3;
217800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
217900151101                         :ValueD13_3 = DATA;
218000151101                 NumericValue = %editc(ValueD13_3:'K');
218100151101
218200151101               When Length = 7 and scale = 4;
218300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
218400151101                         :ValueD13_4 = DATA;
218500151101                 NumericValue = %editc(ValueD13_4:'K');
218600151101
218700151101               When Length = 7 and scale = 5;
218800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
218900151101                         :ValueD13_5 = DATA;
219000151101                 NumericValue = %editc(ValueD13_5:'K');
219100151101
219200151101               When Length = 7 and scale = 6;
219300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
219400151101                         :ValueD13_6 = DATA;
219500151101                 NumericValue = %editc(ValueD13_6:'K');
219600151101
219700151101               When Length = 7 and scale = 7;
219800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
219900151101                         :ValueD13_7 = DATA;
220000151101                 NumericValue = %editc(ValueD13_7:'K');
220100151101
220200151101               When Length = 7 and scale = 8;
220300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
220400151101                         :ValueD13_8 = DATA;
220500151101                 NumericValue = %editc(ValueD13_8:'K');
220600151101
220700151101               When Length = 7 and scale = 9;
220800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
220900151101                         :ValueD13_9 = DATA;
221000151101                 NumericValue = %editc(ValueD13_9:'K');
221100151101
221200151101               When Length = 7 and scale = 10;
221300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
221400151101                         :ValueD13_10 = DATA;
221500151101                 NumericValue = %editc(ValueD13_10:'K');
221600151101
221700151101               When Length = 7 and scale = 11;
221800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
221900151101                         :ValueD13_11 = DATA;
222000151101                 NumericValue = %editc(ValueD13_11:'K');
222100151101
222200151101               When Length = 7 and scale = 12;
222300151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
222400151101                         :ValueD13_12 = DATA;
222500151101                 NumericValue = %editc(ValueD13_12:'K');
222600151101
222700151101               When Length = 7 and scale = 13;
222800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
222900151101                         :ValueD13_13 = DATA;
223000151101                 NumericValue = %editc(ValueD13_13:'K');
223100151101
223200151101           // 8
223300151101               When Length = 8 and scale = 0;
223400151031                 exec sql GET DESCRIPTOR 'Values' VALUE :x
223500151101                         :ValueD15_0 = DATA;
223600151101                 NumericValue = %editc(ValueD15_0:'K');
223700151101
223800151101               When Length = 8 and scale = 1;
223900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
224000151101                         :ValueD15_1 = DATA;
224100151101                 NumericValue = %editc(ValueD15_1:'K');
224200151101
224300151101               When Length = 8 and scale = 2;
224400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
224500151101                         :ValueD15_2 = DATA;
224600151101                 NumericValue = %editc(ValueD15_2:'K');
224700151101
224800151101               When Length = 8 and scale = 3;
224900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
225000151101                         :ValueD15_3 = DATA;
225100151101                 NumericValue = %editc(ValueD15_3:'K');
225200151101
225300151101               When Length = 8 and scale = 4;
225400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
225500151101                         :ValueD15_4 = DATA;
225600151101                 NumericValue = %editc(ValueD15_4:'K');
225700151101
225800151101               When Length = 8 and scale = 5;
225900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
226000151101                         :ValueD15_5 = DATA;
226100151101                 NumericValue = %editc(ValueD15_5:'K');
226200151101
226300151101               When Length = 8 and scale = 6;
226400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
226500151101                         :ValueD15_6 = DATA;
226600151101                 NumericValue = %editc(ValueD15_6:'K');
226700151101
226800151101               When Length = 8 and scale = 7;
226900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
227000151101                         :ValueD15_7 = DATA;
227100151101                 NumericValue = %editc(ValueD15_7:'K');
227200151101
227300151101               When Length = 8 and scale = 8;
227400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
227500151101                         :ValueD15_8 = DATA;
227600151101                 NumericValue = %editc(ValueD15_8:'K');
227700151101
227800151101               When Length = 8 and scale = 9;
227900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
228000151101                         :ValueD15_9 = DATA;
228100151101                 NumericValue = %editc(ValueD15_9:'K');
228200151101
228300151101               When Length = 8 and scale = 10;
228400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
228500151101                         :ValueD15_10 = DATA;
228600151101                 NumericValue = %editc(ValueD15_10:'K');
228700151101
228800151101               When Length = 8 and scale = 11;
228900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
229000151101                         :ValueD15_11 = DATA;
229100151101                 NumericValue = %editc(ValueD15_11:'K');
229200151101
229300151101               When Length = 8 and scale = 12;
229400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
229500151101                         :ValueD15_12 = DATA;
229600151101                 NumericValue = %editc(ValueD15_12:'K');
229700151101
229800151101               When Length = 8 and scale = 13;
229900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
230000151101                         :ValueD15_13 = DATA;
230100151101                 NumericValue = %editc(ValueD15_13:'K');
230200151101
230300151101               When Length = 8 and scale = 14;
230400151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
230500151101                         :ValueD15_14 = DATA;
230600151101                 NumericValue = %editc(ValueD15_14:'K');
230700151101
230800151101               When Length = 8 and scale = 15;
230900151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
231000151101                         :ValueD15_15 = DATA;
231100151101                 NumericValue = %editc(ValueD15_15:'K');
231200151101
231300151101               Other;
231400151101                 NumericValue = *blanks;
231500151101
231600151031               Endsl;
231700151031
231800151031       ENDSR;
231900151031
232000151101
232100151101       //************************************************************************
232200151101       // Subroutine = $BigInt - Get big integer
232300151101       //************************************************************************
232400151101       Begsr $BigInt;
232500151101
232600151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
232700151101                         :BigInt = DATA;
232800151101                 BigIntNumeric = BigInt;
232900151101                 NumericValue = %editc(BigIntNumeric:'K');
233000151101
233100151101       ENDSR;
233200151101
233300151101       //************************************************************************
233400151101       // Subroutine = $SmallInt - Get small integer
233500151101       //************************************************************************
233600151101       Begsr $SmallInt;
233700151101
233800151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
233900151101                         :SmallInt = DATA;
234000151101                 BigIntNumeric = SmallInt;
234100151101                 NumericValue = %editc(BigIntNumeric:'K');
234200151101
234300151101       ENDSR;
234400151101
234500151101       //************************************************************************
234600151101       // Subroutine = $Int - Get integer
234700151101       //************************************************************************
234800151101       Begsr $Int;
234900151101
235000151101                 exec sql GET DESCRIPTOR 'Values' VALUE :x
235100151101                         :Int = DATA;
235200151101                 BigIntNumeric = Int;
235300151101                 NumericValue = %editc(BigIntNumeric:'K');
235400151101
235500151101       ENDSR;
235600151101
