000100151105      /copy qcpylesrc,stdhspec                                                                      
000200151105      //****************************************************************                            
000300151105      //                                                               *                            
000400160131      // Program ID...... DSHOMN3R                                     *                            
000500151105      // Program Desc.... Create a dashboard Chart                     *                            
000600151105      // Request Number..                                              *                            
000700151105      //                                                               *                            
000800151105      // Written By...... Greg Cannella                                *                            
000900160131      // Date Written.... 1/31/16                                      *                            
001000151105      //                                                               *                            
001100151105      // Comments........                                              *                            
001200151105      //                                                               *                            
001300151105      //                                                               *                            
001400151105      //****************************************************************                            
001500151105      // Compile Options:                                              *                            
001600151105      //                                                               *                            
001700151105      //****************************************************************                            
001800151105      // Modifications:                                                *                            
001900151105      // Req#  By   Date      Modification                             *                            
002000151105      // 1234  xxx  xx/xx/xx                                           *                            
002100151105      //                                                               *                            
002200151105      //****************************************************************                            
002300160109       dcl-f htmlbdm usage(*input) keyed rename(htmlbdm:htmlbdmr);                                  
002400160109       dcl-f dshchtm usage(*input) keyed rename(dshchtm:dshchtmr);                                  
002500160131       dcl-f dshomn3w usage(*output) rename(dshomn3w:dshomn3wr) prefix(x);                          
002600151105                                                                                                    
002700151105       //--Entry Prototype                                                                          
002800160131       dcl-pr DSHOMN3R  extpgm('DSHOMN3R');                                                         
002900160109         wichart char(20);                                                                          
003000151105       end-pr;                                                                                      
003100160131       dcl-pi DSHOMN3R;                                                                             
003200151105         wichart char(20);                                                                          
003300151105       end-pi;                                                                                      
003400151106                                                                                                    
003500151106       // Declare fields                                                                            
003600151106       dcl-s widbbody char(32000);                                                                  
003700151106       dcl-s SubValue char(32000);                                                                  
003800151106       dcl-s SubData char(32000);                                                                   
003900151106       dcl-s SubHeadings char(32000);                                                               
004000151106       dcl-s SQLStatement char(2000);                                                               
004100151106       dcl-s x int(5);                                                                              
004200151106       dcl-s TotalColumns int(5);                                                                   
004300151106       dcl-s ColumnType char(1) dim(200);                                                           
004400151106       dcl-s Type int(5) ;                                                                          
004500151106       dcl-s Length int(5) ;                                                                        
004600151106       dcl-s Result_Ind int(5) ;                                                                    
004700151106       dcl-s Precision int(5) ;                                                                     
004800151106       dcl-s Scale int(5) ;                                                                         
004900151106       dcl-s NumericValue char(20);                                                                 
005000151106       dcl-s BigInt int(20);                                                                        
005100151106       dcl-s Int int(10);                                                                           
005200151106       dcl-s SmallInt int(5);                                                                       
005300151106       dcl-s BigIntNumeric packed(15:0);                                                            
005400151107       dcl-s First char(1);                                                                         
005500151107       dcl-s Second char(1);                                                                        
005600151106                                                                                                    
005700151106                                                                                                    
005800151106       // Declare all variations of fields                                                          
005900151106     D  ValueA         ds           100                                                             
006000151106     D   ValueA1               1      1                                                             
006100151106     D   ValueA2               1      2                                                             
006200151106     D   ValueA3               1      3                                                             
006300151106     D   ValueA4               1      4                                                             
006400151106     D   ValueA5               1      5                                                             
006500151106     D   ValueA6               1      6                                                             
006600151106     D   ValueA7               1      7                                                             
006700151106     D   ValueA8               1      8                                                             
006800151106     D   ValueA9               1      9                                                             
006900151106     D   ValueA10              1     10                                                             
007000151106     D   ValueA11              1     11                                                             
007100151106     D   ValueA12              1     12                                                             
007200151106     D   ValueA13              1     13                                                             
007300151106     D   ValueA14              1     14                                                             
007400151106     D   ValueA15              1     15                                                             
007500151106     D   ValueA16              1     16                                                             
007600151106     D   ValueA17              1     17                                                             
007700151106     D   ValueA18              1     18                                                             
007800151106     D   ValueA19              1     19                                                             
007900151106     D   ValueA20              1     20                                                             
008000151106     D   ValueA21              1     21                                                             
008100151106     D   ValueA22              1     22                                                             
008200151106     D   ValueA23              1     23                                                             
008300151106     D   ValueA24              1     24                                                             
008400151106     D   ValueA25              1     25                                                             
008500151106     D   ValueA26              1     26                                                             
008600151106     D   ValueA27              1     27                                                             
008700151106     D   ValueA28              1     28                                                             
008800151106     D   ValueA29              1     29                                                             
008900151106     D   ValueA30              1     30                                                             
009000151106     D   ValueA31              1     31                                                             
009100151106     D   ValueA32              1     32                                                             
009200151106     D   ValueA33              1     33                                                             
009300151106     D   ValueA34              1     34                                                             
009400151106     D   ValueA35              1     35                                                             
009500151106     D   ValueA36              1     36                                                             
009600151106     D   ValueA37              1     37                                                             
009700151106     D   ValueA38              1     38                                                             
009800151106     D   ValueA39              1     39                                                             
009900151106     D   ValueA40              1     40                                                             
010000151106     D   ValueA41              1     41                                                             
010100151106     D   ValueA42              1     42                                                             
010200151106     D   ValueA43              1     43                                                             
010300151106     D   ValueA44              1     44                                                             
010400151106     D   ValueA45              1     45                                                             
010500151106     D   ValueA46              1     46                                                             
010600151106     D   ValueA47              1     47                                                             
010700151106     D   ValueA48              1     48                                                             
010800151106     D   ValueA49              1     49                                                             
010900151106     D   ValueA50              1     50                                                             
011000151106     D   ValueA51              1     51                                                             
011100151106     D   ValueA52              1     52                                                             
011200151106     D   ValueA53              1     53                                                             
011300151106     D   ValueA54              1     54                                                             
011400151106     D   ValueA55              1     55                                                             
011500151106     D   ValueA56              1     56                                                             
011600151106     D   ValueA57              1     57                                                             
011700151106     D   ValueA58              1     58                                                             
011800151106     D   ValueA59              1     59                                                             
011900151106     D   ValueA60              1     60                                                             
012000151106     D   ValueA61              1     61                                                             
012100151106     D   ValueA62              1     62                                                             
012200151106     D   ValueA63              1     63                                                             
012300151106     D   ValueA64              1     64                                                             
012400151106     D   ValueA65              1     65                                                             
012500151106     D   ValueA66              1     66                                                             
012600151106     D   ValueA67              1     67                                                             
012700151106     D   ValueA68              1     68                                                             
012800151106     D   ValueA69              1     69                                                             
012900151106     D   ValueA70              1     70                                                             
013000151106     D   ValueA71              1     71                                                             
013100151106     D   ValueA72              1     72                                                             
013200151106     D   ValueA73              1     73                                                             
013300151106     D   ValueA74              1     74                                                             
013400151106     D   ValueA75              1     75                                                             
013500151106     D   ValueA76              1     76                                                             
013600151106     D   ValueA77              1     77                                                             
013700151106     D   ValueA78              1     78                                                             
013800151106     D   ValueA79              1     79                                                             
013900151106     D   ValueA80              1     80                                                             
014000151106     D   ValueA81              1     81                                                             
014100151106     D   ValueA82              1     82                                                             
014200151106     D   ValueA83              1     83                                                             
014300151106     D   ValueA84              1     84                                                             
014400151106     D   ValueA85              1     85                                                             
014500151106     D   ValueA86              1     86                                                             
014600151106     D   ValueA87              1     87                                                             
014700151106     D   ValueA88              1     88                                                             
014800151106     D   ValueA89              1     89                                                             
014900151106     D   ValueA90              1     90                                                             
015000151106     D   ValueA91              1     91                                                             
015100151106     D   ValueA92              1     92                                                             
015200151106     D   ValueA93              1     93                                                             
015300151106     D   ValueA94              1     94                                                             
015400151106     D   ValueA95              1     95                                                             
015500151106     D   ValueA96              1     96                                                             
015600151106     D   ValueA97              1     97                                                             
015700151106     D   ValueA98              1     98                                                             
015800151106     D   ValueA99              1     99                                                             
015900151106     D   ValueA100             1    100                                                             
016000151106                                                                                                    
016100151106     D  ValueN         DS            15                                                             
016200151106     D   ValueN1_0             1      1  0 inz(0)                                                   
016300151106     D   ValueN1_1             1      1  1 inz(.0)                                                  
016400151106     D   ValueN2_0             1      2  0 inz(0)                                                   
016500151106     D   ValueN2_1             1      2  1 inz(0)                                                   
016600151106     D   ValueN2_2             1      2  2 inz(.0)                                                  
016700151106     D   ValueN3_0             1      3  0 inz(0)                                                   
016800151106     D   ValueN3_1             1      3  1 inz(0)                                                   
016900151106     D   ValueN3_2             1      3  2 inz(0)                                                   
017000151106     D   ValueN3_3             1      3  3 inz(.0)                                                  
017100151106     D   ValueN4_0             1      4  0 inz(0)                                                   
017200151106     D   ValueN4_1             1      4  1 inz(0)                                                   
017300151106     D   ValueN4_2             1      4  2 inz(0)                                                   
017400151106     D   ValueN4_3             1      4  3 inz(0)                                                   
017500151106     D   ValueN4_4             1      4  4 inz(.0)                                                  
017600151106     D   ValueN5_0             1      5  0 inz(0)                                                   
017700151106     D   ValueN5_1             1      5  1 inz(0)                                                   
017800151106     D   ValueN5_2             1      5  2 inz(0)                                                   
017900151106     D   ValueN5_3             1      5  3 inz(0)                                                   
018000151106     D   ValueN5_4             1      5  4 inz(0)                                                   
018100151106     D   ValueN6_0             1      6  0 inz(0)                                                   
018200151106     D   ValueN6_1             1      6  1 inz(0)                                                   
018300151106     D   ValueN6_2             1      6  2 inz(0)                                                   
018400151106     D   ValueN6_3             1      6  3 inz(0)                                                   
018500151106     D   ValueN6_4             1      6  4 inz(0)                                                   
018600151106     D   ValueN7_0             1      7  0 inz(0)                                                   
018700151106     D   ValueN7_1             1      7  1 inz(0)                                                   
018800151106     D   ValueN7_2             1      7  2 inz(0)                                                   
018900151106     D   ValueN7_3             1      7  3 inz(0)                                                   
019000151106     D   ValueN7_4             1      7  4 inz(0)                                                   
019100151106     D   ValueN8_0             1      8  0 inz(0)                                                   
019200151106     D   ValueN8_1             1      8  1 inz(0)                                                   
019300151106     D   ValueN8_2             1      8  2 inz(0)                                                   
019400151106     D   ValueN8_3             1      8  3 inz(0)                                                   
019500151106     D   ValueN8_4             1      8  4 inz(0)                                                   
019600151106     D   ValueN9_0             1      9  0 inz(0)                                                   
019700151106     D   ValueN9_1             1      9  1 inz(0)                                                   
019800151106     D   ValueN9_2             1      9  2 inz(0)                                                   
019900151106     D   ValueN9_3             1      9  3 inz(0)                                                   
020000151106     D   ValueN9_4             1      9  4 inz(0)                                                   
020100151106     D   ValueN10_0            1     10  0 inz(0)                                                   
020200151106     D   ValueN10_1            1     10  1 inz(0)                                                   
020300151106     D   ValueN10_2            1     10  2 inz(0)                                                   
020400151106     D   ValueN10_3            1     10  3 inz(0)                                                   
020500151106     D   ValueN10_4            1     10  4 inz(0)                                                   
020600151106     D   ValueN11_0            1     11  0 inz(0)                                                   
020700151106     D   ValueN11_1            1     11  1 inz(0)                                                   
020800151106     D   ValueN11_2            1     11  2 inz(0)                                                   
020900151106     D   ValueN11_3            1     11  3 inz(0)                                                   
021000151106     D   ValueN11_4            1     11  4 inz(0)                                                   
021100151106     D   ValueN12_0            1     12  0 inz(0)                                                   
021200151106     D   ValueN12_1            1     12  1 inz(0)                                                   
021300151106     D   ValueN12_2            1     12  2 inz(0)                                                   
021400151106     D   ValueN12_3            1     12  3 inz(0)                                                   
021500151106     D   ValueN12_4            1     12  4 inz(0)                                                   
021600151106     D   ValueN13_0            1     13  0 inz(0)                                                   
021700151106     D   ValueN13_1            1     13  1 inz(0)                                                   
021800151106     D   ValueN13_2            1     13  2 inz(0)                                                   
021900151106     D   ValueN13_3            1     13  3 inz(0)                                                   
022000151106     D   ValueN13_4            1     13  4 inz(0)                                                   
022100151106     D   ValueN14_0            1     14  0 inz(0)                                                   
022200151106     D   ValueN14_1            1     14  1 inz(0)                                                   
022300151106     D   ValueN14_2            1     14  2 inz(0)                                                   
022400151106     D   ValueN14_3            1     14  3 inz(0)                                                   
022500151106     D   ValueN14_4            1     14  4 inz(0)                                                   
022600151106     D   ValueN15_0            1     15  0 inz(0)                                                   
022700151106     D   ValueN15_1            1     15  1 inz(0)                                                   
022800151106     D   ValueN15_2            1     15  2 inz(0)                                                   
022900151106     D   ValueN15_3            1     15  3 inz(0)                                                   
023000151106     D   ValueN15_4            1     15  4 inz(0)                                                   
023100151106                                                                                                    
023200151106     D   ValueD1_0     s              1P 0 inz(0)                                                   
023300151106     D   ValueD1_1     s              1P 1 inz(.0)                                                  
023400151106     D   ValueD3_0     s              3P 0 inz(0)                                                   
023500151106     D   ValueD3_1     s              3P 1 inz(0)                                                   
023600151106     D   ValueD3_2     s              3P 2 inz(0)                                                   
023700151106     D   ValueD3_3     s              3P 3 inz(.0)                                                  
023800151106     D   ValueD5_0     s              5P 0 inz(0)                                                   
023900151106     D   ValueD5_1     s              5P 1 inz(0)                                                   
024000151106     D   ValueD5_2     s              5P 2 inz(0)                                                   
024100151106     D   ValueD5_3     s              5P 3 inz(0)                                                   
024200151106     D   ValueD5_4     s              5P 4 inz(0)                                                   
024300151106     D   ValueD5_5     s              5P 5 inz(.0)                                                  
024400151106     D   ValueD7_0     s              7P 0 inz(0)                                                   
024500151106     D   ValueD7_1     s              7P 1 inz(0)                                                   
024600151106     D   ValueD7_2     s              7P 2 inz(0)                                                   
024700151106     D   ValueD7_3     s              7P 3 inz(0)                                                   
024800151106     D   ValueD7_4     s              7P 4 inz(0)                                                   
024900151106     D   ValueD7_5     s              7P 5 inz(0)                                                   
025000151106     D   ValueD7_6     s              7P 6 inz(0)                                                   
025100151106     D   ValueD7_7     s              7P 7 inz(.0)                                                  
025200151106     D   ValueD9_0     s              9P 0 inz(0)                                                   
025300151106     D   ValueD9_1     s              9P 1 inz(0)                                                   
025400151106     D   ValueD9_2     s              9P 2 inz(0)                                                   
025500151106     D   ValueD9_3     s              9P 3 inz(0)                                                   
025600151106     D   ValueD9_4     s              9P 4 inz(0)                                                   
025700151106     D   ValueD9_5     s              9P 5 inz(0)                                                   
025800151106     D   ValueD9_6     s              9P 6 inz(0)                                                   
025900151106     D   ValueD9_7     s              9P 7 inz(0)                                                   
026000151106     D   ValueD9_8     s              9P 8 inz(0)                                                   
026100151106     D   ValueD9_9     s              9P 9 inz(.0)                                                  
026200151106     D   ValueD11_0    s             11P 0 inz(0)                                                   
026300151106     D   ValueD11_1    s             11P 1 inz(0)                                                   
026400151106     D   ValueD11_2    s             11P 2 inz(0)                                                   
026500151106     D   ValueD11_3    s             11P 3 inz(0)                                                   
026600151106     D   ValueD11_4    s             11P 4 inz(0)                                                   
026700151106     D   ValueD11_5    s             11P 5 inz(0)                                                   
026800151106     D   ValueD11_6    s             11P 6 inz(0)                                                   
026900151106     D   ValueD11_7    s             11P 7 inz(0)                                                   
027000151106     D   ValueD11_8    s             11P 8 inz(0)                                                   
027100151106     D   ValueD11_9    s             11P 9 inz(0)                                                   
027200151106     D   ValueD11_10   s             11P10 inz(0)                                                   
027300151106     D   ValueD11_11   s             11P11 inz(.0)                                                  
027400151106     D   ValueD13_0    s             13P 0 inz(0)                                                   
027500151106     D   ValueD13_1    s             13P 1 inz(0)                                                   
027600151106     D   ValueD13_2    s             13P 2 inz(0)                                                   
027700151106     D   ValueD13_3    s             13P 3 inz(0)                                                   
027800151106     D   ValueD13_4    s             13P 4 inz(0)                                                   
027900151106     D   ValueD13_5    s             13P 5 inz(0)                                                   
028000151106     D   ValueD13_6    s             13P 6 inz(0)                                                   
028100151106     D   ValueD13_7    s             13P 7 inz(0)                                                   
028200151106     D   ValueD13_8    s             13P 8 inz(0)                                                   
028300151106     D   ValueD13_9    s             13P 9 inz(0)                                                   
028400151106     D   ValueD13_10   s             13P10 inz(0)                                                   
028500151106     D   ValueD13_11   s             13P11 inz(0)                                                   
028600151106     D   ValueD13_12   s             13P12 inz(0)                                                   
028700151106     D   ValueD13_13   s             13P13 inz(.0)                                                  
028800151106     D   ValueD15_0    s             15P 0 inz(0)                                                   
028900151106     D   ValueD15_1    s             15P 1 inz(0)                                                   
029000151106     D   ValueD15_2    s             15P 2 inz(0)                                                   
029100151106     D   ValueD15_3    s             15P 3 inz(0)                                                   
029200151106     D   ValueD15_4    s             15P 4 inz(0)                                                   
029300151106     D   ValueD15_5    s             15P 5 inz(0)                                                   
029400151106     D   ValueD15_6    s             15P 6 inz(0)                                                   
029500151106     D   ValueD15_7    s             15P 7 inz(0)                                                   
029600151106     D   ValueD15_8    s             15P 8 inz(0)                                                   
029700151106     D   ValueD15_9    s             15P 9 inz(0)                                                   
029800151106     D   ValueD15_10   s             15P10 inz(0)                                                   
029900151106     D   ValueD15_11   s             15P11 inz(0)                                                   
030000151106     D   ValueD15_12   s             15P12 inz(0)                                                   
030100151106     D   ValueD15_13   s             15P13 inz(0)                                                   
030200151106     D   ValueD15_14   s             15P14 inz(0)                                                   
030300151106     D   ValueD15_15   s             15P15 inz(.0)                                                  
030400151106     D                                                                                              
030500151106     D                                                                                              
030600151106                                                                                                    
030700151106     D*      SQL DESCRIPTOR AREA                                                                    
030800151106     D  SQLDA          DS                                                                           
030900151106     D  SQLDAID                       8A                                                            
031000151106     D  SQLDABC                      10I 0                                                          
031100151106     D  SQLN                          5I 0                                                          
031200151106     D  SQLD                          5I 0                                                          
031300151106     D  SQL_VAR                      80A   DIM(SQL_NUM)                                             
031400151106     D                        33     48*                                                            
031500151106     D                        49     64*                                                            
031600151106     D*                                                                                             
031700151106     D SQLVAR          DS                                                                           
031800151106     D  SQLTYPE                       5I 0                                                          
031900151106     D  SQLLEN                        5I 0                                                          
032000151106     D  SQLRES                       12A                                                            
032100151106     D  SQLINFO1                     16A                                                            
032200151106     D   SQLDATA                       *   OVERLAY(SQLINFO1:1)                                      
032300151106     D   SQL_RESULT_SET_LOCATOR...                                                                  
032400151106     D                               20I 0 OVERLAY(SQLINFO1:1)                                      
032500151106     D  SQLINFO2                     16A                                                            
032600151106     D   SQLIND                        *   OVERLAY(SQLINFO2:1)                                      
032700151106     D   SQL_ROW_CHANGE...                                                                          
032800151106     D                               10I 0 OVERLAY(SQLINFO2:1)                                      
032900151106     D   SQL_RESULT_SET_ROWS...                                                                     
033000151106     D                               10I 0 OVERLAY(SQLINFO2:1)                                      
033100151106     D  SQLNAMELEN                    5I 0                                                          
033200151106     D  SQLNAME                      30A                                                            
033300151106     D*  END OF SQLDA                                                                               
033400151106     D*  EXTENDED SQLDA                                                                             
033500151106     D SQLVAR2         DS                                                                           
033600151106     D  SQLLONGL               1      4I 0                                                          
033700151106     D  SQLRSVDL               5     32A                                                            
033800151106     D  SQLDATAL              33     48*                                                            
033900151106     D  SQLTNAMELN            49     50I 0                                                          
034000151106     D  SQLTNAME              51     80A                                                            
034100151106     D*  END OF EXTENDED SQLDA                                                                      
034200151106                                                                                                    
034300151106     D SQL_NUM         C                    const(200)                                              
034400151106                                                                                                    
034500151106                                                                                                    
034600151106       //-- Mainline                                                                                
034700160131       dcname = wichart;                                                                            
034800151105       dcchart = wichart;                                                                           
034900160109       Chain (dcname:dcchart) dshchtm;                                                              
035000151105       If %found;                                                                                   
035100151105         hxbodyname = dchtml;                                                                       
035200151105         Chain hxbodyname htmlbdm;                                                                  
035300151105         If %found;                                                                                 
035400151105           widbbody = hxbody;                                                                       
035500151105           // Move in subs                                                                          
035600151106           widbbody = %scanrpl('%SUB-TITLE':%trim(dctitle):widbbody);                               
035700151106           widbbody = %scanrpl('%SUB-PACKAGE':%trim(dcpackage):widbbody);                           
035800151106           widbbody = %scanrpl('%SUB-WIDTH':%trim(%char(dcwidth)):widbbody);                        
035900151106           widbbody = %scanrpl('%SUB-HEIGHT':%trim(%char(dcheight)):widbbody);                      
036000151107           widbbody = %scanrpl('%SUB-TYPE':%trim(dctype):widbbody);                                 
036100151108           widbbody = %scanrpl('%SUB-VAXIS':%trim(dcvaxis):widbbody);                               
036200151108           widbbody = %scanrpl('%SUB-HAXIS':%trim(dchaxis):widbbody);                               
036300151105                                                                                                    
036400151105           // Run SQL and fill in headings and data                                                 
036500151106           Exsr $SQLTable;                                                                          
036600151105                                                                                                    
036700151107           widbbody = %scanrpl('%SUB-HEADINGS':%trim(SubHeadings):widbbody);                        
036800151107           widbbody = %scanrpl('%SUB-DATA':%trim(SubData):widbbody);                                
036900160131           xDSHOMN3w = widbbody;                                                                    
037000160131           Write dshomn3wr;                                                                         
037100151108                                                                                                    
037200151105         ENDIF;                                                                                     
037300151105       ENDIF;                                                                                       
037400151106                                                                                                    
037500151106       *inlr = *on;                                                                                 
037600151105                                                                                                    
037700151106       //************************************************************************                   
037800151106       // Subroutine = $SQLTable                                                                    
037900151106       //************************************************************************                   
038000151106       Begsr $SQLTable;                                                                             
038100151106                                                                                                    
038200151106                                                                                                    
038300151106                                                                                                    
038400151106           SQLStatement = dcsql;                                                                    
038500151106           SQLN = 100;                                                                              
038600151106                                                                                                    
038700151106       exec sql prepare handleT from :SQLStatement;                                                 
038800151106       exec sql declare OpenHandleT cursor for handleT;                                             
038900151106       exec sql Open OpenHandleT;                                                                   
039000151106       exec SQL ALLOCATE DESCRIPTOR 'Values' WITH MAX 200;                                          
039100151106       exec SQL describe handleT using descriptor 'Values';                                         
039200151106       exec sql describe handleT into :SQLDA using ANY;                                             
039300151207         If SQLCOD = 0;                                                                             
039400151106           Clear ColumnType;                                                                        
039500151106           TotalColumns = sqld;                                                                     
039600151106           SubHeadings = '[';                                                                       
039700151106           for x = 1 to TotalColumns;                                                               
039800151106             SQLVAR = SQL_VAR(x);                                                                   
039900151106                                                                                                    
040000151106             // Formulate the heading                                                               
040100151106             If x > 1;                                                                              
040200151107               SubHeadings = %trimr(SubHeadings) + ', ';                                            
040300151106             ENDIF;                                                                                 
040400151107             SubHeadings = %trimr(SubHeadings) + '''' +                                             
040500151106                 %trimr(SQLName) + '''';                                                            
040600151106                                                                                                    
040700151106           ENDFOR;                                                                                  
040800151107           SubHeadings = %trimr(SubHeadings) + ']';                                                 
040900151106                                                                                                    
041000151106           // Get the values and fill into table.                                                   
041100151106           sqldabc = 16+sqln*80;                                                                    
041200151106       exec sql fetch next from OpenHandleT into SQL DESCRIPTOR 'Values';                           
041300151106           Dow sqlcode = 0;                                                                         
041400151107             If First <> 'N';                                                                       
041500151107               First = 'N';                                                                         
041600151108               SubData = '[';                                                                       
041700151107             ENDIF;                                                                                 
041800151106             // Put comma between rows                                                              
041900151107             If Second = 'Y';                                                                       
042000151108             SubData = %trimr(SubData) + ',[';                                                      
042100151107             Else;                                                                                  
042200151107               Second = 'Y';                                                                        
042300151107             Endif;                                                                                 
042400151106                                                                                                    
042500151106             for x = 1 to TotalColumns;                                                             
042600151106               // Put comma between fields                                                          
042700151106               If x > 1;                                                                            
042800151107                 SubData = %trimr(SubData) + ', ';                                                  
042900151106               ENDIF;                                                                               
043000151106                                                                                                    
043100151106       exec sql GET DESCRIPTOR 'Values' VALUE :x                                                    
043200151106                                  :type = TYPE,                                                     
043300151106                                  :length = LENGTH,                                                 
043400151106                                  :result_ind = INDICATOR,                                          
043500151106                                  :scale = SCALE,                                                   
043600151106                                  :precision = PRECISION ;                                          
043700151106               Select;                                                                              
043800151106               When Type = 1;                                                                       
043900151106                 Exsr $Alpha;                                                                       
044000151106                 SubData = %trimr(SubData) +                                                        
044100151106                         '''' +                                                                     
044200151106                         %subst(ValueA:1:length) +                                                  
044300151106                         '''';                                                                      
044400151106                                                                                                    
044500151106               When Type = 2 or Type = 4;                                                           
044600151106                 Exsr $Numeric;                                                                     
044700151106                                                                                                    
044800151108                 If NumericValue = '';                                                              
044900151108                   NumericValue = '0';                                                              
045000151108                 ENDIF;                                                                             
045100151106                 SubData = %trimr(SubData) +                                                        
045200151106                         %trim(NumericValue);                                                       
045300151106                                                                                                    
045400151106               When Type = 3 ;                                                                      
045500151106                 Exsr $Decimal; // AKA Packed                                                       
045600151106                                                                                                    
045700151108                 If NumericValue = '';                                                              
045800151108                   NumericValue = '0';                                                              
045900151108                 ENDIF;                                                                             
046000151106                 SubData = %trimr(SubData) +                                                        
046100151106                         %trim(NumericValue) ;                                                      
046200151106                                                                                                    
046300151106               When Type = 25 ;                                                                     
046400151106                 Exsr $BigInt; // Big Integer                                                       
046500151106                                                                                                    
046600151108                 If NumericValue = '';                                                              
046700151108                   NumericValue = '0';                                                              
046800151108                 ENDIF;                                                                             
046900151106                 SubData = %trimr(SubData) +                                                        
047000151106                         %trim(NumericValue) ;                                                      
047100151106                                                                                                    
047200151106               When Type = 5 ;                                                                      
047300151106                 Exsr $SmallInt; // Small Integer                                                   
047400151106                                                                                                    
047500151108                 If NumericValue = '';                                                              
047600151108                   NumericValue = '0';                                                              
047700151108                 ENDIF;                                                                             
047800151106                 SubData = %trimr(SubData) +                                                        
047900151106                         %trim(NumericValue) ;                                                      
048000151106                                                                                                    
048100151106               When Type = 4 ;                                                                      
048200151106                 Exsr $Int; // Integer                                                              
048300151106                                                                                                    
048400151108                 If NumericValue = '';                                                              
048500151108                   NumericValue = '0';                                                              
048600151108                 ENDIF;                                                                             
048700151106                 SubData = %trimr(SubData) +                                                        
048800151106                         %trim(NumericValue) ;                                                      
048900151106                                                                                                    
049000151106               Other;                                                                               
049100151106               ENDSL;                                                                               
049200151106                                                                                                    
049300151106                                                                                                    
049400151106                                                                                                    
049500151106                                                                                                    
049600151106             Endfor;                                                                                
049700151106             SubData = %trimr(SubData) + ']';                                                       
049800151106       exec sql fetch next from OpenHandleT into SQL DESCRIPTOR 'Values';                           
049900151106           ENDDO;                                                                                   
050000151207         Endif;                                                                                     
050100151106     c/exec sql                                                                                     
050200151106     c+     Close OpenHandleT                                                                       
050300151106     c/end-exec                                                                                     
050400151106                                                                                                    
050500151106                                                                                                    
050600151106       Endsr;                                                                                       
050700151106                                                                                                    
050800151106       //************************************************************************                   
050900151106       // Subroutine = $Alpha - Get alpha descriptor                                                
051000151106       //************************************************************************                   
051100151106       Begsr $Alpha;                                                                                
051200151106                                                                                                    
051300151106               Select;                                                                              
051400151106               When length = 1;                                                                     
051500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
051600151106                         :ValueA1 = DATA;                                                           
051700151106                                                                                                    
051800151106               When length = 2;                                                                     
051900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
052000151106                         :ValueA2 = DATA;                                                           
052100151106                                                                                                    
052200151106               When length = 3;                                                                     
052300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
052400151106                         :ValueA3 = DATA;                                                           
052500151106                                                                                                    
052600151106               When length = 4;                                                                     
052700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
052800151106                         :ValueA4 = DATA;                                                           
052900151106                                                                                                    
053000151106               When length = 5;                                                                     
053100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
053200151106                         :ValueA5 = DATA;                                                           
053300151106                                                                                                    
053400151106               When length = 6;                                                                     
053500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
053600151106                         :ValueA6 = DATA;                                                           
053700151106                                                                                                    
053800151106               When length = 7;                                                                     
053900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
054000151106                         :ValueA7 = DATA;                                                           
054100151106                                                                                                    
054200151106               When length = 8;                                                                     
054300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
054400151106                         :ValueA8 = DATA;                                                           
054500151106                                                                                                    
054600151106               When length = 9;                                                                     
054700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
054800151106                         :ValueA9 = DATA;                                                           
054900151106                                                                                                    
055000151106               When length = 10;                                                                    
055100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
055200151106                         :ValueA10 = DATA;                                                          
055300151106                                                                                                    
055400151106               When length = 11;                                                                    
055500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
055600151106                         :ValueA11 = DATA;                                                          
055700151106                                                                                                    
055800151106               When length = 12;                                                                    
055900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
056000151106                         :ValueA12 = DATA;                                                          
056100151106                                                                                                    
056200151106               When length = 13;                                                                    
056300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
056400151106                         :ValueA13 = DATA;                                                          
056500151106                                                                                                    
056600151106               When length = 14;                                                                    
056700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
056800151106                         :ValueA14 = DATA;                                                          
056900151106                                                                                                    
057000151106               When length = 15;                                                                    
057100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
057200151106                         :ValueA15 = DATA;                                                          
057300151106                                                                                                    
057400151106               When length = 16;                                                                    
057500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
057600151106                         :ValueA16 = DATA;                                                          
057700151106                                                                                                    
057800151106               When length = 17;                                                                    
057900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
058000151106                         :ValueA17 = DATA;                                                          
058100151106                                                                                                    
058200151106               When length = 18;                                                                    
058300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
058400151106                         :ValueA18 = DATA;                                                          
058500151106                                                                                                    
058600151106               When length = 19;                                                                    
058700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
058800151106                         :ValueA19 = DATA;                                                          
058900151106                                                                                                    
059000151106               When length = 20;                                                                    
059100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
059200151106                         :ValueA20 = DATA;                                                          
059300151106                                                                                                    
059400151106               When length = 21;                                                                    
059500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
059600151106                         :ValueA21 = DATA;                                                          
059700151106                                                                                                    
059800151106               When length = 22;                                                                    
059900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
060000151106                         :ValueA22 = DATA;                                                          
060100151106                                                                                                    
060200151106               When length = 23;                                                                    
060300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
060400151106                         :ValueA23 = DATA;                                                          
060500151106                                                                                                    
060600151106               When length = 24;                                                                    
060700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
060800151106                         :ValueA24 = DATA;                                                          
060900151106                                                                                                    
061000151106               When length = 25;                                                                    
061100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
061200151106                         :ValueA25 = DATA;                                                          
061300151106                                                                                                    
061400151106               When length = 26;                                                                    
061500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
061600151106                         :ValueA26 = DATA;                                                          
061700151106                                                                                                    
061800151106               When length = 27;                                                                    
061900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
062000151106                         :ValueA27 = DATA;                                                          
062100151106                                                                                                    
062200151106               When length = 28;                                                                    
062300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
062400151106                         :ValueA28 = DATA;                                                          
062500151106                                                                                                    
062600151106               When length = 29;                                                                    
062700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
062800151106                         :ValueA29 = DATA;                                                          
062900151106                                                                                                    
063000151106               When length = 30;                                                                    
063100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
063200151106                         :ValueA30 = DATA;                                                          
063300151106                                                                                                    
063400151106               When length = 31;                                                                    
063500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
063600151106                         :ValueA31 = DATA;                                                          
063700151106                                                                                                    
063800151106               When length = 32;                                                                    
063900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
064000151106                         :ValueA32 = DATA;                                                          
064100151106                                                                                                    
064200151106               When length = 33;                                                                    
064300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
064400151106                         :ValueA33 = DATA;                                                          
064500151106                                                                                                    
064600151106               When length = 34;                                                                    
064700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
064800151106                         :ValueA34 = DATA;                                                          
064900151106                                                                                                    
065000151106               When length = 35;                                                                    
065100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
065200151106                         :ValueA35 = DATA;                                                          
065300151106                                                                                                    
065400151106               When length = 36;                                                                    
065500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
065600151106                         :ValueA36 = DATA;                                                          
065700151106                                                                                                    
065800151106               When length = 37;                                                                    
065900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
066000151106                         :ValueA37 = DATA;                                                          
066100151106                                                                                                    
066200151106               When length = 38;                                                                    
066300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
066400151106                         :ValueA38 = DATA;                                                          
066500151106                                                                                                    
066600151106               When length = 39;                                                                    
066700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
066800151106                         :ValueA39 = DATA;                                                          
066900151106                                                                                                    
067000151106               When length = 40;                                                                    
067100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
067200151106                         :ValueA40 = DATA;                                                          
067300151106                                                                                                    
067400151106               When length = 41;                                                                    
067500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
067600151106                         :ValueA41 = DATA;                                                          
067700151106                                                                                                    
067800151106               When length = 42;                                                                    
067900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
068000151106                         :ValueA42 = DATA;                                                          
068100151106                                                                                                    
068200151106               When length = 43;                                                                    
068300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
068400151106                         :ValueA43 = DATA;                                                          
068500151106                                                                                                    
068600151106               When length = 44;                                                                    
068700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
068800151106                         :ValueA44 = DATA;                                                          
068900151106                                                                                                    
069000151106               When length = 45;                                                                    
069100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
069200151106                         :ValueA45 = DATA;                                                          
069300151106                                                                                                    
069400151106               When length = 46;                                                                    
069500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
069600151106                         :ValueA46 = DATA;                                                          
069700151106                                                                                                    
069800151106               When length = 47;                                                                    
069900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
070000151106                         :ValueA47 = DATA;                                                          
070100151106                                                                                                    
070200151106               When length = 48;                                                                    
070300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
070400151106                         :ValueA48 = DATA;                                                          
070500151106                                                                                                    
070600151106               When length = 49;                                                                    
070700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
070800151106                         :ValueA49 = DATA;                                                          
070900151106                                                                                                    
071000151106               When length = 50;                                                                    
071100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
071200151106                         :ValueA50 = DATA;                                                          
071300151106                                                                                                    
071400151106               When length = 51;                                                                    
071500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
071600151106                         :ValueA51 = DATA;                                                          
071700151106                                                                                                    
071800151106               When length = 52;                                                                    
071900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
072000151106                         :ValueA52 = DATA;                                                          
072100151106                                                                                                    
072200151106               When length = 53;                                                                    
072300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
072400151106                         :ValueA53 = DATA;                                                          
072500151106                                                                                                    
072600151106               When length = 54;                                                                    
072700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
072800151106                         :ValueA54 = DATA;                                                          
072900151106                                                                                                    
073000151106               When length = 55;                                                                    
073100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
073200151106                         :ValueA55 = DATA;                                                          
073300151106                                                                                                    
073400151106               When length = 56;                                                                    
073500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
073600151106                         :ValueA56 = DATA;                                                          
073700151106                                                                                                    
073800151106               When length = 57;                                                                    
073900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
074000151106                         :ValueA57 = DATA;                                                          
074100151106                                                                                                    
074200151106               When length = 58;                                                                    
074300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
074400151106                         :ValueA58 = DATA;                                                          
074500151106                                                                                                    
074600151106               When length = 59;                                                                    
074700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
074800151106                         :ValueA59 = DATA;                                                          
074900151106                                                                                                    
075000151106               When length = 60;                                                                    
075100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
075200151106                         :ValueA60 = DATA;                                                          
075300151106                                                                                                    
075400151106               When length = 61;                                                                    
075500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
075600151106                         :ValueA61 = DATA;                                                          
075700151106                                                                                                    
075800151106               When length = 62;                                                                    
075900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
076000151106                         :ValueA62 = DATA;                                                          
076100151106                                                                                                    
076200151106               When length = 63;                                                                    
076300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
076400151106                         :ValueA63 = DATA;                                                          
076500151106                                                                                                    
076600151106               When length = 64;                                                                    
076700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
076800151106                         :ValueA64 = DATA;                                                          
076900151106                                                                                                    
077000151106               When length = 65;                                                                    
077100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
077200151106                         :ValueA65 = DATA;                                                          
077300151106                                                                                                    
077400151106               When length = 66;                                                                    
077500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
077600151106                         :ValueA66 = DATA;                                                          
077700151106                                                                                                    
077800151106               When length = 67;                                                                    
077900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
078000151106                         :ValueA67 = DATA;                                                          
078100151106                                                                                                    
078200151106               When length = 68;                                                                    
078300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
078400151106                         :ValueA68 = DATA;                                                          
078500151106                                                                                                    
078600151106               When length = 69;                                                                    
078700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
078800151106                         :ValueA69 = DATA;                                                          
078900151106                                                                                                    
079000151106               When length = 70;                                                                    
079100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
079200151106                         :ValueA70 = DATA;                                                          
079300151106                                                                                                    
079400151106               When length = 71;                                                                    
079500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
079600151106                         :ValueA71 = DATA;                                                          
079700151106                                                                                                    
079800151106               When length = 72;                                                                    
079900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
080000151106                         :ValueA72 = DATA;                                                          
080100151106                                                                                                    
080200151106               When length = 73;                                                                    
080300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
080400151106                         :ValueA73 = DATA;                                                          
080500151106                                                                                                    
080600151106               When length = 74;                                                                    
080700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
080800151106                         :ValueA74 = DATA;                                                          
080900151106                                                                                                    
081000151106               When length = 75;                                                                    
081100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
081200151106                         :ValueA75 = DATA;                                                          
081300151106                                                                                                    
081400151106               When length = 76;                                                                    
081500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
081600151106                         :ValueA76 = DATA;                                                          
081700151106                                                                                                    
081800151106               When length = 77;                                                                    
081900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
082000151106                         :ValueA77 = DATA;                                                          
082100151106                                                                                                    
082200151106               When length = 78;                                                                    
082300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
082400151106                         :ValueA78 = DATA;                                                          
082500151106                                                                                                    
082600151106               When length = 79;                                                                    
082700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
082800151106                         :ValueA79 = DATA;                                                          
082900151106                                                                                                    
083000151106               When length = 80;                                                                    
083100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
083200151106                         :ValueA80 = DATA;                                                          
083300151106                                                                                                    
083400151106               When length = 81;                                                                    
083500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
083600151106                         :ValueA81 = DATA;                                                          
083700151106                                                                                                    
083800151106               When length = 82;                                                                    
083900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
084000151106                         :ValueA82 = DATA;                                                          
084100151106                                                                                                    
084200151106               When length = 83;                                                                    
084300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
084400151106                         :ValueA83 = DATA;                                                          
084500151106                                                                                                    
084600151106               When length = 84;                                                                    
084700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
084800151106                         :ValueA84 = DATA;                                                          
084900151106                                                                                                    
085000151106               When length = 85;                                                                    
085100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
085200151106                         :ValueA85 = DATA;                                                          
085300151106                                                                                                    
085400151106               When length = 86;                                                                    
085500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
085600151106                         :ValueA86 = DATA;                                                          
085700151106                                                                                                    
085800151106               When length = 87;                                                                    
085900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
086000151106                         :ValueA87 = DATA;                                                          
086100151106                                                                                                    
086200151106               When length = 88;                                                                    
086300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
086400151106                         :ValueA88 = DATA;                                                          
086500151106                                                                                                    
086600151106               When length = 89;                                                                    
086700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
086800151106                         :ValueA89 = DATA;                                                          
086900151106                                                                                                    
087000151106               When length = 90;                                                                    
087100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
087200151106                         :ValueA90 = DATA;                                                          
087300151106                                                                                                    
087400151106               When length = 91;                                                                    
087500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
087600151106                         :ValueA91 = DATA;                                                          
087700151106                                                                                                    
087800151106               When length = 92;                                                                    
087900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
088000151106                         :ValueA92 = DATA;                                                          
088100151106                                                                                                    
088200151106               When length = 93;                                                                    
088300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
088400151106                         :ValueA93 = DATA;                                                          
088500151106                                                                                                    
088600151106               When length = 94;                                                                    
088700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
088800151106                         :ValueA94 = DATA;                                                          
088900151106                                                                                                    
089000151106               When length = 95;                                                                    
089100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
089200151106                         :ValueA95 = DATA;                                                          
089300151106                                                                                                    
089400151106               When length = 96;                                                                    
089500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
089600151106                         :ValueA96 = DATA;                                                          
089700151106                                                                                                    
089800151106               When length = 97;                                                                    
089900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
090000151106                         :ValueA97 = DATA;                                                          
090100151106                                                                                                    
090200151106               When length = 98;                                                                    
090300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
090400151106                         :ValueA98 = DATA;                                                          
090500151106                                                                                                    
090600151106               When length = 99;                                                                    
090700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
090800151106                         :ValueA99 = DATA;                                                          
090900151106                                                                                                    
091000151106               When length = 100;                                                                   
091100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
091200151106                         :ValueA100 = DATA;                                                         
091300151106               Other;                                                                               
091400151106                 ValueA100 = *blanks;                                                               
091500151106               Endsl;                                                                               
091600151106                                                                                                    
091700151106       Endsr;                                                                                       
091800151106                                                                                                    
091900151106       //************************************************************************                   
092000151106       // Subroutine = $Numeric - Get numeric descriptor                                            
092100151106       //************************************************************************                   
092200151106       Begsr $Numeric;                                                                              
092300151106                                                                                                    
092400151106               Select;                                                                              
092500151106           // 1                                                                                     
092600151106               When length = 1 and scale = 0;                                                       
092700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
092800151106                         :ValueN1_0 = DATA;                                                         
092900151207               NumericValue = %editc(ValueN1_0:'M');                                                
093000151106                                                                                                    
093100151106               When length = 1 and scale = 1;                                                       
093200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
093300151106                         :ValueN1_1 = DATA;                                                         
093400151207               NumericValue = %editc(ValueN1_1:'M');                                                
093500151106           // 2                                                                                     
093600151106               When length = 2 and scale = 0;                                                       
093700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
093800151106                         :ValueN2_0 = DATA;                                                         
093900151207               NumericValue = %editc(ValueN2_0:'M');                                                
094000151106                                                                                                    
094100151106               When length = 2 and scale = 1;                                                       
094200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
094300151106                         :ValueN2_1 = DATA;                                                         
094400151207               NumericValue = %editc(ValueN2_1:'M');                                                
094500151106                                                                                                    
094600151106               When length = 2 and scale = 2;                                                       
094700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
094800151106                         :ValueN2_2 = DATA;                                                         
094900151207               NumericValue = %editc(ValueN2_2:'M');                                                
095000151106                                                                                                    
095100151106            // 3                                                                                    
095200151106               When length = 3 and scale = 0;                                                       
095300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
095400151106                         :ValueN3_0 = DATA;                                                         
095500151207               NumericValue = %editc(ValueN3_0:'M');                                                
095600151106                                                                                                    
095700151106               When length = 3 and scale = 1;                                                       
095800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
095900151106                         :ValueN3_1 = DATA;                                                         
096000151207               NumericValue = %editc(ValueN3_1:'M');                                                
096100151106                                                                                                    
096200151106               When length = 3 and scale = 2;                                                       
096300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
096400151106                         :ValueN3_2 = DATA;                                                         
096500151207               NumericValue = %editc(ValueN3_2:'M');                                                
096600151106                                                                                                    
096700151106               When length = 3 and scale = 3;                                                       
096800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
096900151106                         :ValueN3_3 = DATA;                                                         
097000151207               NumericValue = %editc(ValueN3_3:'M');                                                
097100151106                                                                                                    
097200151106            // 4                                                                                    
097300151106               When length = 4 and scale = 0;                                                       
097400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
097500151106                         :ValueN4_0 = DATA;                                                         
097600151207               NumericValue = %editc(ValueN4_0:'M');                                                
097700151106                                                                                                    
097800151106               When length = 4 and scale = 1;                                                       
097900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
098000151106                         :ValueN4_1 = DATA;                                                         
098100151207               NumericValue = %editc(ValueN4_1:'M');                                                
098200151106                                                                                                    
098300151106               When length = 4 and scale = 2;                                                       
098400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
098500151106                         :ValueN4_2 = DATA;                                                         
098600151207               NumericValue = %editc(ValueN4_2:'M');                                                
098700151106                                                                                                    
098800151106               When length = 4 and scale = 3;                                                       
098900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
099000151106                         :ValueN4_3 = DATA;                                                         
099100151207               NumericValue = %editc(ValueN4_3:'M');                                                
099200151106                                                                                                    
099300151106               When length = 4 and scale = 4;                                                       
099400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
099500151106                         :ValueN4_4 = DATA;                                                         
099600151207               NumericValue = %editc(ValueN4_4:'M');                                                
099700151106                                                                                                    
099800151106            // 5                                                                                    
099900151106               When length = 5 and scale = 0;                                                       
100000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
100100151106                         :ValueN5_0 = DATA;                                                         
100200151207               NumericValue = %editc(ValueN5_0:'M');                                                
100300151106                                                                                                    
100400151106               When length = 5 and scale = 1;                                                       
100500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
100600151106                         :ValueN5_1 = DATA;                                                         
100700151207               NumericValue = %editc(ValueN5_1:'M');                                                
100800151106                                                                                                    
100900151106               When length = 5 and scale = 2;                                                       
101000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
101100151106                         :ValueN5_2 = DATA;                                                         
101200151207               NumericValue = %editc(ValueN5_2:'M');                                                
101300151106                                                                                                    
101400151106               When length = 5 and scale = 3;                                                       
101500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
101600151106                         :ValueN5_3 = DATA;                                                         
101700151207               NumericValue = %editc(ValueN5_3:'M');                                                
101800151106                                                                                                    
101900151106               When length = 5 and scale = 4;                                                       
102000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
102100151106                         :ValueN5_4 = DATA;                                                         
102200151207               NumericValue = %editc(ValueN5_4:'M');                                                
102300151106                                                                                                    
102400151106            // 6                                                                                    
102500151106               When length = 6 and scale = 0;                                                       
102600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
102700151106                         :ValueN6_0 = DATA;                                                         
102800151207               NumericValue = %editc(ValueN6_0:'M');                                                
102900151106                                                                                                    
103000151106               When length = 6 and scale = 1;                                                       
103100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
103200151106                         :ValueN6_1 = DATA;                                                         
103300151207               NumericValue = %editc(ValueN6_1:'M');                                                
103400151106                                                                                                    
103500151106               When length = 6 and scale = 2;                                                       
103600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
103700151106                         :ValueN6_2 = DATA;                                                         
103800151207               NumericValue = %editc(ValueN6_2:'M');                                                
103900151106                                                                                                    
104000151106               When length = 6 and scale = 3;                                                       
104100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
104200151106                         :ValueN6_3 = DATA;                                                         
104300151207               NumericValue = %editc(ValueN6_3:'M');                                                
104400151106                                                                                                    
104500151106               When length = 6 and scale = 4;                                                       
104600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
104700151106                         :ValueN6_4 = DATA;                                                         
104800151207               NumericValue = %editc(ValueN6_4:'M');                                                
104900151106                                                                                                    
105000151106            // 7                                                                                    
105100151106               When length = 7 and scale = 0;                                                       
105200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
105300151106                         :ValueN7_0 = DATA;                                                         
105400151207               NumericValue = %editc(ValueN7_0:'M');                                                
105500151106                                                                                                    
105600151106               When length = 7 and scale = 1;                                                       
105700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
105800151106                         :ValueN7_1 = DATA;                                                         
105900151207               NumericValue = %editc(ValueN7_1:'M');                                                
106000151106                                                                                                    
106100151106               When length = 7 and scale = 2;                                                       
106200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
106300151106                         :ValueN7_2 = DATA;                                                         
106400151207               NumericValue = %editc(ValueN7_2:'M');                                                
106500151106                                                                                                    
106600151106               When length = 7 and scale = 3;                                                       
106700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
106800151106                         :ValueN7_3 = DATA;                                                         
106900151207               NumericValue = %editc(ValueN7_3:'M');                                                
107000151106                                                                                                    
107100151106               When length = 7 and scale = 4;                                                       
107200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
107300151106                         :ValueN7_4 = DATA;                                                         
107400151207               NumericValue = %editc(ValueN7_4:'M');                                                
107500151106                                                                                                    
107600151106            // 8                                                                                    
107700151106               When length = 8 and scale = 0;                                                       
107800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
107900151106                         :ValueN8_0 = DATA;                                                         
108000151207               NumericValue = %editc(ValueN8_0:'M');                                                
108100151106                                                                                                    
108200151106               When length = 8 and scale = 1;                                                       
108300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
108400151106                         :ValueN8_1 = DATA;                                                         
108500151207               NumericValue = %editc(ValueN8_1:'M');                                                
108600151106                                                                                                    
108700151106               When length = 8 and scale = 2;                                                       
108800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
108900151106                         :ValueN8_2 = DATA;                                                         
109000151207               NumericValue = %editc(ValueN8_2:'M');                                                
109100151106                                                                                                    
109200151106               When length = 8 and scale = 3;                                                       
109300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
109400151106                         :ValueN8_3 = DATA;                                                         
109500151207               NumericValue = %editc(ValueN8_3:'M');                                                
109600151106                                                                                                    
109700151106               When length = 8 and scale = 4;                                                       
109800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
109900151106                         :ValueN8_4 = DATA;                                                         
110000151207               NumericValue = %editc(ValueN8_4:'M');                                                
110100151106                                                                                                    
110200151106            // 9                                                                                    
110300151106               When length = 9 and scale = 0;                                                       
110400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
110500151106                         :ValueN9_0 = DATA;                                                         
110600151207               NumericValue = %editc(ValueN9_0:'M');                                                
110700151106                                                                                                    
110800151106               When length = 9 and scale = 1;                                                       
110900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
111000151106                         :ValueN9_1 = DATA;                                                         
111100151207               NumericValue = %editc(ValueN9_1:'M');                                                
111200151106                                                                                                    
111300151106               When length = 9 and scale = 2;                                                       
111400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
111500151106                         :ValueN9_2 = DATA;                                                         
111600151207               NumericValue = %editc(ValueN9_2:'M');                                                
111700151106                                                                                                    
111800151106               When length = 9 and scale = 3;                                                       
111900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
112000151106                         :ValueN9_3 = DATA;                                                         
112100151207               NumericValue = %editc(ValueN9_3:'M');                                                
112200151106                                                                                                    
112300151106               When length = 9 and scale = 4;                                                       
112400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
112500151106                         :ValueN9_4 = DATA;                                                         
112600151207               NumericValue = %editc(ValueN9_4:'M');                                                
112700151106                                                                                                    
112800151106            // 10                                                                                   
112900151106               When length = 10 and scale = 0;                                                      
113000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
113100151106                         :ValueN10_0 = DATA;                                                        
113200151207               NumericValue = %editc(ValueN10_0:'M');                                               
113300151106                                                                                                    
113400151106               When length = 10 and scale = 1;                                                      
113500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
113600151106                         :ValueN10_1 = DATA;                                                        
113700151207               NumericValue = %editc(ValueN10_1:'M');                                               
113800151106                                                                                                    
113900151106               When length = 10 and scale = 2;                                                      
114000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
114100151106                         :ValueN10_2 = DATA;                                                        
114200151207               NumericValue = %editc(ValueN10_2:'M');                                               
114300151106                                                                                                    
114400151106               When length = 10 and scale = 3;                                                      
114500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
114600151106                         :ValueN10_3 = DATA;                                                        
114700151207               NumericValue = %editc(ValueN10_3:'M');                                               
114800151106                                                                                                    
114900151106               When length = 10 and scale = 4;                                                      
115000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
115100151106                         :ValueN10_4 = DATA;                                                        
115200151207               NumericValue = %editc(ValueN10_4:'M');                                               
115300151106                                                                                                    
115400151106            // 11                                                                                   
115500151106               When length = 11 and scale = 0;                                                      
115600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
115700151106                         :ValueN11_0 = DATA;                                                        
115800151207               NumericValue = %editc(ValueN11_0:'M');                                               
115900151106                                                                                                    
116000151106               When length = 11 and scale = 1;                                                      
116100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
116200151106                         :ValueN11_1 = DATA;                                                        
116300151207               NumericValue = %editc(ValueN11_1:'M');                                               
116400151106                                                                                                    
116500151106               When length = 11 and scale = 2;                                                      
116600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
116700151106                         :ValueN11_2 = DATA;                                                        
116800151207               NumericValue = %editc(ValueN11_2:'M');                                               
116900151106                                                                                                    
117000151106               When length = 11 and scale = 3;                                                      
117100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
117200151106                         :ValueN11_3 = DATA;                                                        
117300151207               NumericValue = %editc(ValueN11_3:'M');                                               
117400151106                                                                                                    
117500151106               When length = 11 and scale = 4;                                                      
117600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
117700151106                         :ValueN11_4 = DATA;                                                        
117800151207               NumericValue = %editc(ValueN11_4:'M');                                               
117900151106                                                                                                    
118000151106            // 12                                                                                   
118100151106               When length = 12 and scale = 0;                                                      
118200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
118300151106                         :ValueN12_0 = DATA;                                                        
118400151207               NumericValue = %editc(ValueN12_0:'M');                                               
118500151106                                                                                                    
118600151106               When length = 12 and scale = 1;                                                      
118700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
118800151106                         :ValueN12_1 = DATA;                                                        
118900151207               NumericValue = %editc(ValueN12_1:'M');                                               
119000151106                                                                                                    
119100151106               When length = 12 and scale = 2;                                                      
119200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
119300151106                         :ValueN12_2 = DATA;                                                        
119400151207               NumericValue = %editc(ValueN12_2:'M');                                               
119500151106                                                                                                    
119600151106               When length = 12 and scale = 3;                                                      
119700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
119800151106                         :ValueN12_3 = DATA;                                                        
119900151207               NumericValue = %editc(ValueN12_3:'M');                                               
120000151106                                                                                                    
120100151106               When length = 12 and scale = 4;                                                      
120200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
120300151106                         :ValueN12_4 = DATA;                                                        
120400151207               NumericValue = %editc(ValueN12_4:'M');                                               
120500151106                                                                                                    
120600151106            // 13                                                                                   
120700151106               When length = 13 and scale = 0;                                                      
120800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
120900151106                         :ValueN13_0 = DATA;                                                        
121000151207               NumericValue = %editc(ValueN13_0:'M');                                               
121100151106                                                                                                    
121200151106               When length = 13 and scale = 1;                                                      
121300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
121400151106                         :ValueN13_1 = DATA;                                                        
121500151207               NumericValue = %editc(ValueN13_1:'M');                                               
121600151106                                                                                                    
121700151106               When length = 13 and scale = 2;                                                      
121800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
121900151106                         :ValueN13_2 = DATA;                                                        
122000151207               NumericValue = %editc(ValueN13_2:'M');                                               
122100151106                                                                                                    
122200151106               When length = 13 and scale = 3;                                                      
122300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
122400151106                         :ValueN13_3 = DATA;                                                        
122500151207               NumericValue = %editc(ValueN13_3:'M');                                               
122600151106                                                                                                    
122700151106               When length = 13 and scale = 4;                                                      
122800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
122900151106                         :ValueN13_4 = DATA;                                                        
123000151207               NumericValue = %editc(ValueN13_4:'M');                                               
123100151106                                                                                                    
123200151106            // 14                                                                                   
123300151106               When length = 14 and scale = 0;                                                      
123400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
123500151106                         :ValueN14_0 = DATA;                                                        
123600151207               NumericValue = %editc(ValueN14_0:'M');                                               
123700151106                                                                                                    
123800151106               When length = 14 and scale = 1;                                                      
123900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
124000151106                         :ValueN14_1 = DATA;                                                        
124100151207               NumericValue = %editc(ValueN14_1:'M');                                               
124200151106                                                                                                    
124300151106               When length = 14 and scale = 2;                                                      
124400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
124500151106                         :ValueN14_2 = DATA;                                                        
124600151207               NumericValue = %editc(ValueN14_2:'M');                                               
124700151106                                                                                                    
124800151106               When length = 14 and scale = 3;                                                      
124900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
125000151106                         :ValueN14_3 = DATA;                                                        
125100151207               NumericValue = %editc(ValueN14_3:'M');                                               
125200151106                                                                                                    
125300151106               When length = 14 and scale = 4;                                                      
125400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
125500151106                         :ValueN14_4 = DATA;                                                        
125600151207               NumericValue = %editc(ValueN14_4:'M');                                               
125700151106                                                                                                    
125800151106            // 15                                                                                   
125900151106               When length = 15 and scale = 0;                                                      
126000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
126100151106                         :ValueN15_0 = DATA;                                                        
126200151207               NumericValue = %editc(ValueN15_0:'M');                                               
126300151106                                                                                                    
126400151106               When length = 15 and scale = 1;                                                      
126500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
126600151106                         :ValueN15_1 = DATA;                                                        
126700151207               NumericValue = %editc(ValueN15_1:'M');                                               
126800151106                                                                                                    
126900151106               When length = 15 and scale = 2;                                                      
127000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
127100151106                         :ValueN15_2 = DATA;                                                        
127200151207               NumericValue = %editc(ValueN15_2:'M');                                               
127300151106                                                                                                    
127400151106               When length = 15 and scale = 3;                                                      
127500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
127600151106                         :ValueN15_3 = DATA;                                                        
127700151207               NumericValue = %editc(ValueN15_3:'M');                                               
127800151106                                                                                                    
127900151106               When length = 15 and scale = 4;                                                      
128000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
128100151106                         :ValueN15_4 = DATA;                                                        
128200151207               NumericValue = %editc(ValueN15_4:'M');                                               
128300151106                                                                                                    
128400151106               Other;                                                                               
128500151106                 NumericValue = *blanks;                                                            
128600151106               Endsl;                                                                               
128700151106                                                                                                    
128800151106       ENDSR;                                                                                       
128900151106                                                                                                    
129000151106       //************************************************************************                   
129100151106       // Subroutine = $Decimal - Get numeric descriptor                                            
129200151106       //************************************************************************                   
129300151106       Begsr $Decimal;                                                                              
129400151106                                                                                                    
129500151106               Length = (Precision/2)+1;                                                            
129600151106               Select;                                                                              
129700151106           // 1                                                                                     
129800151106               When Length = 1 and scale = 0;                                                       
129900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
130000151106                         :ValueD1_0 = DATA;                                                         
130100151207                 NumericValue = %editc(ValueD1_0:'M');                                              
130200151106                                                                                                    
130300151106               When Length = 1 and scale = 1;                                                       
130400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
130500151106                         :ValueD1_1 = DATA;                                                         
130600151207                 NumericValue = %editc(ValueD1_1:'M');                                              
130700151106                                                                                                    
130800151106           // 2                                                                                     
130900151106               When Length = 2 and scale = 0;                                                       
131000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
131100151106                         :ValueD3_0 = DATA;                                                         
131200151207                 NumericValue = %editc(ValueD3_0:'M');                                              
131300151106                                                                                                    
131400151106               When Length = 2 and scale = 1;                                                       
131500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
131600151106                         :ValueD3_1 = DATA;                                                         
131700151207                 NumericValue = %editc(ValueD3_1:'M');                                              
131800151106                                                                                                    
131900151106               When Length = 2 and scale = 2;                                                       
132000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
132100151106                         :ValueD3_2 = DATA;                                                         
132200151207                 NumericValue = %editc(ValueD3_2:'M');                                              
132300151106                                                                                                    
132400151106               When Length = 2 and scale = 3;                                                       
132500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
132600151106                         :ValueD3_3 = DATA;                                                         
132700151207                 NumericValue = %editc(ValueD3_3:'M');                                              
132800151106                                                                                                    
132900151106           // 3                                                                                     
133000151106               When Length = 3 and scale = 0;                                                       
133100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
133200151106                         :ValueD5_0 = DATA;                                                         
133300151207                 NumericValue = %editc(ValueD5_0:'M');                                              
133400151106                                                                                                    
133500151106               When Length = 3 and scale = 1;                                                       
133600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
133700151106                         :ValueD5_1 = DATA;                                                         
133800151207                 NumericValue = %editc(ValueD5_1:'M');                                              
133900151106                                                                                                    
134000151106               When Length = 3 and scale = 2;                                                       
134100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
134200151106                         :ValueD5_2 = DATA;                                                         
134300151207                 NumericValue = %editc(ValueD5_2:'M');                                              
134400151106                                                                                                    
134500151106               When Length = 3 and scale = 3;                                                       
134600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
134700151106                         :ValueD5_3 = DATA;                                                         
134800151207                 NumericValue = %editc(ValueD5_3:'M');                                              
134900151106                                                                                                    
135000151106               When Length = 3 and scale = 4;                                                       
135100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
135200151106                         :ValueD5_4 = DATA;                                                         
135300151207                 NumericValue = %editc(ValueD5_4:'M');                                              
135400151106                                                                                                    
135500151106               When Length = 3 and scale = 5;                                                       
135600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
135700151106                         :ValueD5_5 = DATA;                                                         
135800151207                 NumericValue = %editc(ValueD5_5:'M');                                              
135900151106                                                                                                    
136000151106           // 4                                                                                     
136100151106               When Length = 4 and scale = 0;                                                       
136200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
136300151106                         :ValueD7_0 = DATA;                                                         
136400151207                 NumericValue = %editc(ValueD7_0:'M');                                              
136500151106                                                                                                    
136600151106               When Length = 4 and scale = 1;                                                       
136700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
136800151106                         :ValueD7_1 = DATA;                                                         
136900151207                 NumericValue = %editc(ValueD7_1:'M');                                              
137000151106                                                                                                    
137100151106               When Length = 4 and scale = 2;                                                       
137200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
137300151106                         :ValueD7_2 = DATA;                                                         
137400151207                 NumericValue = %editc(ValueD7_2:'M');                                              
137500151106                                                                                                    
137600151106               When Length = 4 and scale = 3;                                                       
137700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
137800151106                         :ValueD7_3 = DATA;                                                         
137900151207                 NumericValue = %editc(ValueD7_3:'M');                                              
138000151106                                                                                                    
138100151106               When Length = 4 and scale = 4;                                                       
138200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
138300151106                         :ValueD7_4 = DATA;                                                         
138400151207                 NumericValue = %editc(ValueD7_4:'M');                                              
138500151106                                                                                                    
138600151106               When Length = 4 and scale = 5;                                                       
138700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
138800151106                         :ValueD7_5 = DATA;                                                         
138900151207                 NumericValue = %editc(ValueD7_5:'M');                                              
139000151106                                                                                                    
139100151106               When Length = 4 and scale = 6;                                                       
139200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
139300151106                         :ValueD7_6 = DATA;                                                         
139400151207                 NumericValue = %editc(ValueD7_6:'M');                                              
139500151106                                                                                                    
139600151106               When Length = 4 and scale = 7;                                                       
139700151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
139800151106                         :ValueD7_7 = DATA;                                                         
139900151207                 NumericValue = %editc(ValueD7_7:'M');                                              
140000151106                                                                                                    
140100151106           // 5                                                                                     
140200151106               When Length = 5 and scale = 0;                                                       
140300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
140400151106                         :ValueD9_0 = DATA;                                                         
140500151207                 NumericValue = %editc(ValueD9_0:'M');                                              
140600151106                                                                                                    
140700151106               When Length = 5 and scale = 1;                                                       
140800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
140900151106                         :ValueD9_1 = DATA;                                                         
141000151207                 NumericValue = %editc(ValueD9_1:'M');                                              
141100151106                                                                                                    
141200151106               When Length = 5 and scale = 2;                                                       
141300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
141400151106                         :ValueD9_2 = DATA;                                                         
141500151207                 NumericValue = %editc(ValueD9_2:'M');                                              
141600151106                                                                                                    
141700151106               When Length = 5 and scale = 3;                                                       
141800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
141900151106                         :ValueD9_3 = DATA;                                                         
142000151207                 NumericValue = %editc(ValueD9_3:'M');                                              
142100151106                                                                                                    
142200151106               When Length = 5 and scale = 4;                                                       
142300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
142400151106                         :ValueD9_4 = DATA;                                                         
142500151207                 NumericValue = %editc(ValueD9_4:'M');                                              
142600151106                                                                                                    
142700151106               When Length = 5 and scale = 5;                                                       
142800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
142900151106                         :ValueD9_5 = DATA;                                                         
143000151207                 NumericValue = %editc(ValueD9_5:'M');                                              
143100151106                                                                                                    
143200151106               When Length = 5 and scale = 6;                                                       
143300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
143400151106                         :ValueD9_6 = DATA;                                                         
143500151207                 NumericValue = %editc(ValueD9_6:'M');                                              
143600151106                                                                                                    
143700151106               When Length = 5 and scale = 7;                                                       
143800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
143900151106                         :ValueD9_7 = DATA;                                                         
144000151207                 NumericValue = %editc(ValueD9_7:'M');                                              
144100151106                                                                                                    
144200151106               When Length = 5 and scale = 8;                                                       
144300151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
144400151106                         :ValueD9_8 = DATA;                                                         
144500151207                 NumericValue = %editc(ValueD9_8:'M');                                              
144600151106                                                                                                    
144700151106               When Length = 5 and scale = 9;                                                       
144800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
144900151106                         :ValueD9_9 = DATA;                                                         
145000151207                 NumericValue = %editc(ValueD9_9:'M');                                              
145100151106                                                                                                    
145200151106           // 6                                                                                     
145300151106               When Length = 6 and scale = 0;                                                       
145400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
145500151106                         :ValueD11_0 = DATA;                                                        
145600151207                 NumericValue = %editc(ValueD11_0:'M');                                             
145700151106                                                                                                    
145800151106               When Length = 6 and scale = 1;                                                       
145900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
146000151106                         :ValueD11_1 = DATA;                                                        
146100151207                 NumericValue = %editc(ValueD11_1:'M');                                             
146200151106                                                                                                    
146300151106               When Length = 6 and scale = 2;                                                       
146400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
146500151106                         :ValueD11_2 = DATA;                                                        
146600151207                 NumericValue = %editc(ValueD11_2:'M');                                             
146700151106                                                                                                    
146800151106               When Length = 6 and scale = 3;                                                       
146900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
147000151106                         :ValueD11_3 = DATA;                                                        
147100151207                 NumericValue = %editc(ValueD11_3:'M');                                             
147200151106                                                                                                    
147300151106               When Length = 6 and scale = 4;                                                       
147400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
147500151106                         :ValueD11_4 = DATA;                                                        
147600151207                 NumericValue = %editc(ValueD11_4:'M');                                             
147700151106                                                                                                    
147800151106               When Length = 6 and scale = 5;                                                       
147900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
148000151106                         :ValueD11_5 = DATA;                                                        
148100151207                 NumericValue = %editc(ValueD11_5:'M');                                             
148200151106                                                                                                    
148300151106               When Length = 6 and scale = 6;                                                       
148400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
148500151106                         :ValueD11_6 = DATA;                                                        
148600151207                 NumericValue = %editc(ValueD11_6:'M');                                             
148700151106                                                                                                    
148800151106               When Length = 6 and scale = 7;                                                       
148900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
149000151106                         :ValueD11_7 = DATA;                                                        
149100151207                 NumericValue = %editc(ValueD11_7:'M');                                             
149200151106                                                                                                    
149300151106               When Length = 6 and scale = 8;                                                       
149400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
149500151106                         :ValueD11_8 = DATA;                                                        
149600151207                 NumericValue = %editc(ValueD11_8:'M');                                             
149700151106                                                                                                    
149800151106               When Length = 6 and scale = 9;                                                       
149900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
150000151106                         :ValueD11_9 = DATA;                                                        
150100151207                 NumericValue = %editc(ValueD11_9:'M');                                             
150200151106                                                                                                    
150300151106               When Length = 6 and scale = 10;                                                      
150400151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
150500151106                         :ValueD11_10 = DATA;                                                       
150600151207                 NumericValue = %editc(ValueD11_10:'M');                                            
150700151106                                                                                                    
150800151106               When Length = 6 and scale = 11;                                                      
150900151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
151000151106                         :ValueD11_11 = DATA;                                                       
151100151207                 NumericValue = %editc(ValueD11_11:'M');                                            
151200151106                                                                                                    
151300151106           // 7                                                                                     
151400151106               When Length = 7 and scale = 0;                                                       
151500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
151600151106                         :ValueD13_0 = DATA;                                                        
151700151207                 NumericValue = %editc(ValueD13_0:'M');                                             
151800151106                                                                                                    
151900151106               When Length = 7 and scale = 1;                                                       
152000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
152100151106                         :ValueD13_1 = DATA;                                                        
152200151207                 NumericValue = %editc(ValueD13_1:'M');                                             
152300151106                                                                                                    
152400151106               When Length = 7 and scale = 2;                                                       
152500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
152600151106                         :ValueD13_2 = DATA;                                                        
152700151207                 NumericValue = %editc(ValueD13_2:'M');                                             
152800151106                                                                                                    
152900151106               When Length = 7 and scale = 3;                                                       
153000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
153100151106                         :ValueD13_3 = DATA;                                                        
153200151207                 NumericValue = %editc(ValueD13_3:'M');                                             
153300151106                                                                                                    
153400151106               When Length = 7 and scale = 4;                                                       
153500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
153600151106                         :ValueD13_4 = DATA;                                                        
153700151207                 NumericValue = %editc(ValueD13_4:'M');                                             
153800151106                                                                                                    
153900151106               When Length = 7 and scale = 5;                                                       
154000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
154100151106                         :ValueD13_5 = DATA;                                                        
154200151207                 NumericValue = %editc(ValueD13_5:'M');                                             
154300151106                                                                                                    
154400151106               When Length = 7 and scale = 6;                                                       
154500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
154600151106                         :ValueD13_6 = DATA;                                                        
154700151207                 NumericValue = %editc(ValueD13_6:'M');                                             
154800151106                                                                                                    
154900151106               When Length = 7 and scale = 7;                                                       
155000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
155100151106                         :ValueD13_7 = DATA;                                                        
155200151207                 NumericValue = %editc(ValueD13_7:'M');                                             
155300151106                                                                                                    
155400151106               When Length = 7 and scale = 8;                                                       
155500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
155600151106                         :ValueD13_8 = DATA;                                                        
155700151207                 NumericValue = %editc(ValueD13_8:'M');                                             
155800151106                                                                                                    
155900151106               When Length = 7 and scale = 9;                                                       
156000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
156100151106                         :ValueD13_9 = DATA;                                                        
156200151207                 NumericValue = %editc(ValueD13_9:'M');                                             
156300151106                                                                                                    
156400151106               When Length = 7 and scale = 10;                                                      
156500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
156600151106                         :ValueD13_10 = DATA;                                                       
156700151207                 NumericValue = %editc(ValueD13_10:'M');                                            
156800151106                                                                                                    
156900151106               When Length = 7 and scale = 11;                                                      
157000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
157100151106                         :ValueD13_11 = DATA;                                                       
157200151207                 NumericValue = %editc(ValueD13_11:'M');                                            
157300151106                                                                                                    
157400151106               When Length = 7 and scale = 12;                                                      
157500151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
157600151106                         :ValueD13_12 = DATA;                                                       
157700151207                 NumericValue = %editc(ValueD13_12:'M');                                            
157800151106                                                                                                    
157900151106               When Length = 7 and scale = 13;                                                      
158000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
158100151106                         :ValueD13_13 = DATA;                                                       
158200151207                 NumericValue = %editc(ValueD13_13:'M');                                            
158300151106                                                                                                    
158400151106           // 8                                                                                     
158500151106               When Length = 8 and scale = 0;                                                       
158600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
158700151106                         :ValueD15_0 = DATA;                                                        
158800151207                 NumericValue = %editc(ValueD15_0:'M');                                             
158900151106                                                                                                    
159000151106               When Length = 8 and scale = 1;                                                       
159100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
159200151106                         :ValueD15_1 = DATA;                                                        
159300151207                 NumericValue = %editc(ValueD15_1:'M');                                             
159400151106                                                                                                    
159500151106               When Length = 8 and scale = 2;                                                       
159600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
159700151106                         :ValueD15_2 = DATA;                                                        
159800151207                 NumericValue = %editc(ValueD15_2:'M');                                             
159900151106                                                                                                    
160000151106               When Length = 8 and scale = 3;                                                       
160100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
160200151106                         :ValueD15_3 = DATA;                                                        
160300151207                 NumericValue = %editc(ValueD15_3:'M');                                             
160400151106                                                                                                    
160500151106               When Length = 8 and scale = 4;                                                       
160600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
160700151106                         :ValueD15_4 = DATA;                                                        
160800151207                 NumericValue = %editc(ValueD15_4:'M');                                             
160900151106                                                                                                    
161000151106               When Length = 8 and scale = 5;                                                       
161100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
161200151106                         :ValueD15_5 = DATA;                                                        
161300151207                 NumericValue = %editc(ValueD15_5:'M');                                             
161400151106                                                                                                    
161500151106               When Length = 8 and scale = 6;                                                       
161600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
161700151106                         :ValueD15_6 = DATA;                                                        
161800151207                 NumericValue = %editc(ValueD15_6:'M');                                             
161900151106                                                                                                    
162000151106               When Length = 8 and scale = 7;                                                       
162100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
162200151106                         :ValueD15_7 = DATA;                                                        
162300151207                 NumericValue = %editc(ValueD15_7:'M');                                             
162400151106                                                                                                    
162500151106               When Length = 8 and scale = 8;                                                       
162600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
162700151106                         :ValueD15_8 = DATA;                                                        
162800151207                 NumericValue = %editc(ValueD15_8:'M');                                             
162900151106                                                                                                    
163000151106               When Length = 8 and scale = 9;                                                       
163100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
163200151106                         :ValueD15_9 = DATA;                                                        
163300151207                 NumericValue = %editc(ValueD15_9:'M');                                             
163400151106                                                                                                    
163500151106               When Length = 8 and scale = 10;                                                      
163600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
163700151106                         :ValueD15_10 = DATA;                                                       
163800151207                 NumericValue = %editc(ValueD15_10:'M');                                            
163900151106                                                                                                    
164000151106               When Length = 8 and scale = 11;                                                      
164100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
164200151106                         :ValueD15_11 = DATA;                                                       
164300151207                 NumericValue = %editc(ValueD15_11:'M');                                            
164400151106                                                                                                    
164500151106               When Length = 8 and scale = 12;                                                      
164600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
164700151106                         :ValueD15_12 = DATA;                                                       
164800151207                 NumericValue = %editc(ValueD15_12:'M');                                            
164900151106                                                                                                    
165000151106               When Length = 8 and scale = 13;                                                      
165100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
165200151106                         :ValueD15_13 = DATA;                                                       
165300151207                 NumericValue = %editc(ValueD15_13:'M');                                            
165400151106                                                                                                    
165500151106               When Length = 8 and scale = 14;                                                      
165600151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
165700151106                         :ValueD15_14 = DATA;                                                       
165800151207                 NumericValue = %editc(ValueD15_14:'M');                                            
165900151106                                                                                                    
166000151106               When Length = 8 and scale = 15;                                                      
166100151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
166200151106                         :ValueD15_15 = DATA;                                                       
166300151207                 NumericValue = %editc(ValueD15_15:'M');                                            
166400151106                                                                                                    
166500151106               Other;                                                                               
166600151106                 NumericValue = *blanks;                                                            
166700151106                                                                                                    
166800151106               Endsl;                                                                               
166900151106                                                                                                    
167000151106       ENDSR;                                                                                       
167100151106                                                                                                    
167200151106                                                                                                    
167300151106       //************************************************************************                   
167400151106       // Subroutine = $BigInt - Get big integer                                                    
167500151106       //************************************************************************                   
167600151106       Begsr $BigInt;                                                                               
167700151106                                                                                                    
167800151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
167900151106                         :BigInt = DATA;                                                            
168000151106                 BigIntNumeric = BigInt;                                                            
168100151207                 NumericValue = %editc(BigIntNumeric:'M');                                          
168200151106                                                                                                    
168300151106       ENDSR;                                                                                       
168400151106                                                                                                    
168500151106       //************************************************************************                   
168600151106       // Subroutine = $SmallInt - Get small integer                                                
168700151106       //************************************************************************                   
168800151106       Begsr $SmallInt;                                                                             
168900151106                                                                                                    
169000151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
169100151106                         :SmallInt = DATA;                                                          
169200151106                 BigIntNumeric = SmallInt;                                                          
169300151207                 NumericValue = %editc(BigIntNumeric:'M');                                          
169400151106                                                                                                    
169500151106       ENDSR;                                                                                       
169600151106                                                                                                    
169700151106       //************************************************************************                   
169800151106       // Subroutine = $Int - Get integer                                                           
169900151106       //************************************************************************                   
170000151106       Begsr $Int;                                                                                  
170100151106                                                                                                    
170200151106                 exec sql GET DESCRIPTOR 'Values' VALUE :x                                          
170300151106                         :Int = DATA;                                                               
170400151106                 BigIntNumeric = Int;                                                               
170500151207                 NumericValue = %editc(BigIntNumeric:'M');                                          
170600151106                                                                                                    
170700151106       ENDSR;                                                                                       
170800151106                                                                                                    
