000100151024       ctl-opt option(*srcstmt:*nodebugio) nomain ;
000200151024       //****************************************************************
000300151024       //                                                               *
000400160131       // Program ID...... DSHOMNIR                                     *
000500160131       // Program Desc.... Main dashboard user defined function.        *
000600151024       //                                                               *
000700151024       // Written By...... Greg Cannella                                *
000800160131       // Date Written.... 1/31/15                                      *
000900151024       //                                                               *
001000151024       // Comments........                                              *
001100151024       //                                                               *
001200151024       //                                                               *
001300151024       //****************************************************************
001400151024       // Compile Options:                                              *
001500151226       // Create this as a module.                                      *
001600160131       // CRTSRVPGM SRVPGM(GREGC/DSHOMNIR) EXPORT(*ALL)                 *
001700151226       // Then start SQL and run the following SQL command.             *
001800160131       // create function getdashomni (dbname char(128))                *
001900151226       //                 returns char(32000)                           *
002000151226       //                 language rpgle                                *
002100151226       //                 not deterministic                             *
002200151226       //                 reads sql data                                *
002300160131       //                 external name 'GREGC/DSHOMNIR(GETDASHOMNI)'   *
002400151226       //                 parameter style general                       *
002500151226       //                 program type sub                              *
002600151226       //                                                               *
002700151226       //                                                               *
002800151024       //****************************************************************
002900151024       // Modifications:                                                *
003000151024       // Req#  By   Date      Modification                             *
003100151024       // 1234  xxx  xx/xx/xx                                           *
003200151024       //                                                               *
003300151024       //****************************************************************
003400151024       //------------------------------------------------
003500151024       //--Entry Prototype
003600151024
003700160131       dcl-pr GetDashOmni  char(32000);
003800151226         widbname char(128);
003900151024       end-pr;
004000151024
004100160131       dcl-proc GetDashOmni export ;
004200151024
004300160131       dcl-pi GetDashOmni char(32000);
004400151226         widbname char(128);
004500151024       end-pi;
004600151024
004700151025       //--External Prototypes
004800151024
004900160131       dcl-pr DSHOMN2R  extpgm('DSHOMN2R');
005000151226         widbname char(128);
005100151226         widbbody char(32000);
005200151024       end-pr;
005300151024
005400151025       //-- Field declarations
005500151025
005600151226       dcl-s widbbody char(32000);
005700151025
005800151025       //-- Main process.  Pass the parms to a processing program that
005900151025       //-- will build the body.
006000160131        widbbody = *blanks;
006100160131
006200160131       //************************************************************
006300160131       // Notice that I am calling another program.  This program
006400160131       // needs to be in the library list for PHP job.  While you are
006500160131       // figuring out how all this works, just make sure all called
006600160131       // programs are in the library list defined by the system values.
006700160131       //************************************************************
006800160131
006900160131        DSHOMN2R(widbname:widbbody) ;
007000160126
007100151024       return widbbody;
007200151024
007300151024       end-proc;
